package com.chinaitop.depot.basic.service;

import com.chinaitop.depot.basic.model.MonitorCamera;
import com.chinaitop.depot.basic.model.MonitorCameraExample;

import java.util.List;
import java.util.Map;

public interface MonitorCameraService {

    /**
     * 根据条件查询摄像头列表数据
     * @param example
     * @return
     */
    List<MonitorCamera> queryByExample(MonitorCameraExample example);

    /**
     * 根据id获取摄像头详情数据
     * @param id
     * @return
     */
    MonitorCamera findById(Integer id);

    void add(MonitorCamera user);

    void update(MonitorCamera user);

    void updateDeleteById(Integer id);

    List<Map<String,Object>> selectByNVRDates(Map<String, Object> map);

    List<Map<String,Object>> getAgentDepot(Map<String, Object> map);

    List<Map<String,Object>> getAgentVideo(Map<String, Object> map);

    /**
     * 导入
     * 
     * @param list
     * @param orgId
     * @return 
     */
	String importData(List<List<String>> list, Integer orgId);
}
