package com.chinaitop.depot.basic.service;

import com.chinaitop.depot.basic.model.MonitorPreset;
import com.chinaitop.depot.basic.model.MonitorPresetExample;

import java.util.List;

public interface MonitorPresetService {

    /**
     * 根据条件查询预置点信息
     * @param example
     * @return
     */
    List<MonitorPreset> queryByExample(MonitorPresetExample example);

    /**
     * 清除预置点
     * @param example
     * @return
     */
    void removePreset(MonitorPresetExample example);

    /**
     * 添加预置点
     * @param preset
     */
    void addPreset(MonitorPreset preset);

}
