package com.chinaitop.depot.hk.dto.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 批量获取监控点的预置点信息
 *
 * @author ybw
 * @version V1.0
 * @className PresetsReqDTO
 * @date 2024/8/2
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PresetsReqDTO {

    /**
     * 监控点唯一标识集，
     * 可通过分页获取监控点资源获取
     *
     * @author: ybw
     * @date: 2024/8/2
     **/
    private String[] cameraIndexCodes;
}
