package com.chinaitop.depot.monitor.mapper;

import com.chinaitop.depot.monitor.model.DiagResult;
import com.chinaitop.depot.monitor.model.DiagResultExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface DiagResultMapper {
    int countByExample(DiagResultExample example);

    int deleteByExample(DiagResultExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(DiagResult record);

    int insertSelective(DiagResult record);

    List<DiagResult> selectByExample(DiagResultExample example);

    DiagResult selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") DiagResult record, @Param("example") DiagResultExample example);

    int updateByExample(@Param("record") DiagResult record, @Param("example") DiagResultExample example);

    int updateByPrimaryKeySelective(DiagResult record);

    int updateByPrimaryKey(DiagResult record);

    List<Map<String,Object>> getQualityResult(Map<String, Object> map);

    int selectCount(Map<String, Object> map);//查询最新结果异常摄像头数量

    List<Map<String, Object>> selectNewTimeList(Map<String, Object> map);//获取最新结果列表

}