package com.chinaitop.depot.monitor.model;

public class CameraRecord {
    private Integer id;

    private Integer cameraId;

    private String cameraIndexCode;

    private String taskId;

    /**
     * 编号
     * @return id 编号
     */
    public Integer getId() {
        return id;
    }

    /**
     * 编号
     * @param id 编号
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 摄像头id；monitor_camera的id；
     * @return camera_id 摄像头id；monitor_camera的id；
     */
    public Integer getCameraId() {
        return cameraId;
    }

    /**
     * 摄像头id；monitor_camera的id；
     * @param cameraId 摄像头id；monitor_camera的id；
     */
    public void setCameraId(Integer cameraId) {
        this.cameraId = cameraId;
    }

    /**
     * 摄像头唯一标识；
     * @return camera_index_code 摄像头唯一标识；
     */
    public String getCameraIndexCode() {
        return cameraIndexCode;
    }

    /**
     * 摄像头唯一标识；
     * @param cameraIndexCode 摄像头唯一标识；
     */
    public void setCameraIndexCode(String cameraIndexCode) {
        this.cameraIndexCode = cameraIndexCode == null ? null : cameraIndexCode.trim();
    }

    /**
     * 海康-手动录像编号
     * @return task_id 海康-手动录像编号
     */
    public String getTaskId() {
        return taskId;
    }

    /**
     * 海康-手动录像编号
     * @param taskId 海康-手动录像编号
     */
    public void setTaskId(String taskId) {
        this.taskId = taskId == null ? null : taskId.trim();
    }
}