package com.chinaitop.depot.monitor.model;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class DiagPlan implements Serializable {
    private Integer id;

    private String quartzid;

    private Integer orgId;

    private String groupId;

    private String name;

    private String plandate;

    private String detailtext;

    private String quartztime;

    private String detailtime;

    private String isrepeat;

    private String plantime;

    private String createMan;

    private String createOrg;

    private Date createTime;

    private String type;

    private Integer signals;

    private Integer blur;

    private Integer dark;

    private Integer chroma;

    private Integer freeze;

    private Integer bright;

    private Integer mono;

    private Integer stripe;

    private Integer cover;

    private Integer hake;

    private Integer ptz;

    private Integer contrast;

    private Integer noise;

    private Integer flash;

    private Integer scene;

    private List<String> groupIds = new ArrayList<String>();

    private static final long serialVersionUID = 1L;

    public DiagPlan(Integer id, String quartzid, Integer orgId, String groupId, String name, String plandate, String detailtext, String quartztime, String detailtime, String isrepeat, String plantime, String createMan, String createOrg, Date createTime, String type, Integer signals, Integer blur, Integer dark, Integer chroma, Integer freeze, Integer bright, Integer mono, Integer stripe, Integer cover, Integer hake, Integer ptz, Integer contrast, Integer noise, Integer flash, Integer scene) {
        this.id = id;
        this.quartzid = quartzid;
        this.orgId = orgId;
        this.groupId = groupId;
        this.name = name;
        this.plandate = plandate;
        this.detailtext = detailtext;
        this.quartztime = quartztime;
        this.detailtime = detailtime;
        this.isrepeat = isrepeat;
        this.plantime = plantime;
        this.createMan = createMan;
        this.createOrg = createOrg;
        this.createTime = createTime;
        this.type = type;
        this.signals = signals;
        this.blur = blur;
        this.dark = dark;
        this.chroma = chroma;
        this.freeze = freeze;
        this.bright = bright;
        this.mono = mono;
        this.stripe = stripe;
        this.cover = cover;
        this.hake = hake;
        this.ptz = ptz;
        this.contrast = contrast;
        this.noise = noise;
        this.flash = flash;
        this.scene = scene;
    }

    public List<String> getGroupIds() {
        return groupIds;
    }

    public void setGroupIds(List<String> groupIds) {
        this.groupIds = groupIds;
    }

    public DiagPlan() {
        super();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getQuartzid() {
        return quartzid;
    }

    public void setQuartzid(String quartzid) {
        this.quartzid = quartzid == null ? null : quartzid.trim();
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId == null ? null : groupId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getPlandate() {
        return plandate;
    }

    public void setPlandate(String plandate) {
        this.plandate = plandate == null ? null : plandate.trim();
    }

    public String getDetailtext() {
        return detailtext;
    }

    public void setDetailtext(String detailtext) {
        this.detailtext = detailtext == null ? null : detailtext.trim();
    }

    public String getQuartztime() {
        return quartztime;
    }

    public void setQuartztime(String quartztime) {
        this.quartztime = quartztime == null ? null : quartztime.trim();
    }

    public String getDetailtime() {
        return detailtime;
    }

    public void setDetailtime(String detailtime) {
        this.detailtime = detailtime == null ? null : detailtime.trim();
    }

    public String getIsrepeat() {
        return isrepeat;
    }

    public void setIsrepeat(String isrepeat) {
        this.isrepeat = isrepeat == null ? null : isrepeat.trim();
    }

    public String getPlantime() {
        return plantime;
    }

    public void setPlantime(String plantime) {
        this.plantime = plantime == null ? null : plantime.trim();
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan == null ? null : createMan.trim();
    }

    public String getCreateOrg() {
        return createOrg;
    }

    public void setCreateOrg(String createOrg) {
        this.createOrg = createOrg == null ? null : createOrg.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public Integer getSignals() {
        return signals;
    }

    public void setSignals(Integer signals) {
        this.signals = signals;
    }

    public Integer getBlur() {
        return blur;
    }

    public void setBlur(Integer blur) {
        this.blur = blur;
    }

    public Integer getDark() {
        return dark;
    }

    public void setDark(Integer dark) {
        this.dark = dark;
    }

    public Integer getChroma() {
        return chroma;
    }

    public void setChroma(Integer chroma) {
        this.chroma = chroma;
    }

    public Integer getFreeze() {
        return freeze;
    }

    public void setFreeze(Integer freeze) {
        this.freeze = freeze;
    }

    public Integer getBright() {
        return bright;
    }

    public void setBright(Integer bright) {
        this.bright = bright;
    }

    public Integer getMono() {
        return mono;
    }

    public void setMono(Integer mono) {
        this.mono = mono;
    }

    public Integer getStripe() {
        return stripe;
    }

    public void setStripe(Integer stripe) {
        this.stripe = stripe;
    }

    public Integer getCover() {
        return cover;
    }

    public void setCover(Integer cover) {
        this.cover = cover;
    }

    public Integer getHake() {
        return hake;
    }

    public void setHake(Integer hake) {
        this.hake = hake;
    }

    public Integer getPtz() {
        return ptz;
    }

    public void setPtz(Integer ptz) {
        this.ptz = ptz;
    }

    public Integer getContrast() {
        return contrast;
    }

    public void setContrast(Integer contrast) {
        this.contrast = contrast;
    }

    public Integer getNoise() {
        return noise;
    }

    public void setNoise(Integer noise) {
        this.noise = noise;
    }

    public Integer getFlash() {
        return flash;
    }

    public void setFlash(Integer flash) {
        this.flash = flash;
    }

    public Integer getScene() {
        return scene;
    }

    public void setScene(Integer scene) {
        this.scene = scene;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        DiagPlan other = (DiagPlan) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getQuartzid() == null ? other.getQuartzid() == null : this.getQuartzid().equals(other.getQuartzid()))
            && (this.getOrgId() == null ? other.getOrgId() == null : this.getOrgId().equals(other.getOrgId()))
            && (this.getGroupId() == null ? other.getGroupId() == null : this.getGroupId().equals(other.getGroupId()))
            && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
            && (this.getPlandate() == null ? other.getPlandate() == null : this.getPlandate().equals(other.getPlandate()))
            && (this.getDetailtext() == null ? other.getDetailtext() == null : this.getDetailtext().equals(other.getDetailtext()))
            && (this.getQuartztime() == null ? other.getQuartztime() == null : this.getQuartztime().equals(other.getQuartztime()))
            && (this.getDetailtime() == null ? other.getDetailtime() == null : this.getDetailtime().equals(other.getDetailtime()))
            && (this.getIsrepeat() == null ? other.getIsrepeat() == null : this.getIsrepeat().equals(other.getIsrepeat()))
            && (this.getPlantime() == null ? other.getPlantime() == null : this.getPlantime().equals(other.getPlantime()))
            && (this.getCreateMan() == null ? other.getCreateMan() == null : this.getCreateMan().equals(other.getCreateMan()))
            && (this.getCreateOrg() == null ? other.getCreateOrg() == null : this.getCreateOrg().equals(other.getCreateOrg()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
            && (this.getSignals() == null ? other.getSignals() == null : this.getSignals().equals(other.getSignals()))
            && (this.getBlur() == null ? other.getBlur() == null : this.getBlur().equals(other.getBlur()))
            && (this.getDark() == null ? other.getDark() == null : this.getDark().equals(other.getDark()))
            && (this.getChroma() == null ? other.getChroma() == null : this.getChroma().equals(other.getChroma()))
            && (this.getFreeze() == null ? other.getFreeze() == null : this.getFreeze().equals(other.getFreeze()))
            && (this.getBright() == null ? other.getBright() == null : this.getBright().equals(other.getBright()))
            && (this.getMono() == null ? other.getMono() == null : this.getMono().equals(other.getMono()))
            && (this.getStripe() == null ? other.getStripe() == null : this.getStripe().equals(other.getStripe()))
            && (this.getCover() == null ? other.getCover() == null : this.getCover().equals(other.getCover()))
            && (this.getHake() == null ? other.getHake() == null : this.getHake().equals(other.getHake()))
            && (this.getPtz() == null ? other.getPtz() == null : this.getPtz().equals(other.getPtz()))
            && (this.getContrast() == null ? other.getContrast() == null : this.getContrast().equals(other.getContrast()))
            && (this.getNoise() == null ? other.getNoise() == null : this.getNoise().equals(other.getNoise()))
            && (this.getFlash() == null ? other.getFlash() == null : this.getFlash().equals(other.getFlash()))
            && (this.getScene() == null ? other.getScene() == null : this.getScene().equals(other.getScene()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getQuartzid() == null) ? 0 : getQuartzid().hashCode());
        result = prime * result + ((getOrgId() == null) ? 0 : getOrgId().hashCode());
        result = prime * result + ((getGroupId() == null) ? 0 : getGroupId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getPlandate() == null) ? 0 : getPlandate().hashCode());
        result = prime * result + ((getDetailtext() == null) ? 0 : getDetailtext().hashCode());
        result = prime * result + ((getQuartztime() == null) ? 0 : getQuartztime().hashCode());
        result = prime * result + ((getDetailtime() == null) ? 0 : getDetailtime().hashCode());
        result = prime * result + ((getIsrepeat() == null) ? 0 : getIsrepeat().hashCode());
        result = prime * result + ((getPlantime() == null) ? 0 : getPlantime().hashCode());
        result = prime * result + ((getCreateMan() == null) ? 0 : getCreateMan().hashCode());
        result = prime * result + ((getCreateOrg() == null) ? 0 : getCreateOrg().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getSignals() == null) ? 0 : getSignals().hashCode());
        result = prime * result + ((getBlur() == null) ? 0 : getBlur().hashCode());
        result = prime * result + ((getDark() == null) ? 0 : getDark().hashCode());
        result = prime * result + ((getChroma() == null) ? 0 : getChroma().hashCode());
        result = prime * result + ((getFreeze() == null) ? 0 : getFreeze().hashCode());
        result = prime * result + ((getBright() == null) ? 0 : getBright().hashCode());
        result = prime * result + ((getMono() == null) ? 0 : getMono().hashCode());
        result = prime * result + ((getStripe() == null) ? 0 : getStripe().hashCode());
        result = prime * result + ((getCover() == null) ? 0 : getCover().hashCode());
        result = prime * result + ((getHake() == null) ? 0 : getHake().hashCode());
        result = prime * result + ((getPtz() == null) ? 0 : getPtz().hashCode());
        result = prime * result + ((getContrast() == null) ? 0 : getContrast().hashCode());
        result = prime * result + ((getNoise() == null) ? 0 : getNoise().hashCode());
        result = prime * result + ((getFlash() == null) ? 0 : getFlash().hashCode());
        result = prime * result + ((getScene() == null) ? 0 : getScene().hashCode());
        return result;
    }
}