package com.chinaitop.depot.monitor.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class DiagResultExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public DiagResultExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andCameraIdIsNull() {
            addCriterion("camera_id is null");
            return (Criteria) this;
        }

        public Criteria andCameraIdIsNotNull() {
            addCriterion("camera_id is not null");
            return (Criteria) this;
        }

        public Criteria andCameraIdEqualTo(Integer value) {
            addCriterion("camera_id =", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdNotEqualTo(Integer value) {
            addCriterion("camera_id <>", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdGreaterThan(Integer value) {
            addCriterion("camera_id >", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("camera_id >=", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdLessThan(Integer value) {
            addCriterion("camera_id <", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdLessThanOrEqualTo(Integer value) {
            addCriterion("camera_id <=", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdIn(List<Integer> values) {
            addCriterion("camera_id in", values, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdNotIn(List<Integer> values) {
            addCriterion("camera_id not in", values, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdBetween(Integer value1, Integer value2) {
            addCriterion("camera_id between", value1, value2, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdNotBetween(Integer value1, Integer value2) {
            addCriterion("camera_id not between", value1, value2, "cameraId");
            return (Criteria) this;
        }

        public Criteria andResultIsNull() {
            addCriterion("result is null");
            return (Criteria) this;
        }

        public Criteria andResultIsNotNull() {
            addCriterion("result is not null");
            return (Criteria) this;
        }

        public Criteria andResultEqualTo(String value) {
            addCriterion("result =", value, "result");
            return (Criteria) this;
        }

        public Criteria andResultNotEqualTo(String value) {
            addCriterion("result <>", value, "result");
            return (Criteria) this;
        }

        public Criteria andResultGreaterThan(String value) {
            addCriterion("result >", value, "result");
            return (Criteria) this;
        }

        public Criteria andResultGreaterThanOrEqualTo(String value) {
            addCriterion("result >=", value, "result");
            return (Criteria) this;
        }

        public Criteria andResultLessThan(String value) {
            addCriterion("result <", value, "result");
            return (Criteria) this;
        }

        public Criteria andResultLessThanOrEqualTo(String value) {
            addCriterion("result <=", value, "result");
            return (Criteria) this;
        }

        public Criteria andResultLike(String value) {
            addCriterion("result like", value, "result");
            return (Criteria) this;
        }

        public Criteria andResultNotLike(String value) {
            addCriterion("result not like", value, "result");
            return (Criteria) this;
        }

        public Criteria andResultIn(List<String> values) {
            addCriterion("result in", values, "result");
            return (Criteria) this;
        }

        public Criteria andResultNotIn(List<String> values) {
            addCriterion("result not in", values, "result");
            return (Criteria) this;
        }

        public Criteria andResultBetween(String value1, String value2) {
            addCriterion("result between", value1, value2, "result");
            return (Criteria) this;
        }

        public Criteria andResultNotBetween(String value1, String value2) {
            addCriterion("result not between", value1, value2, "result");
            return (Criteria) this;
        }

        public Criteria andBlurIsNull() {
            addCriterion("blur is null");
            return (Criteria) this;
        }

        public Criteria andBlurIsNotNull() {
            addCriterion("blur is not null");
            return (Criteria) this;
        }

        public Criteria andBlurEqualTo(String value) {
            addCriterion("blur =", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurNotEqualTo(String value) {
            addCriterion("blur <>", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurGreaterThan(String value) {
            addCriterion("blur >", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurGreaterThanOrEqualTo(String value) {
            addCriterion("blur >=", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurLessThan(String value) {
            addCriterion("blur <", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurLessThanOrEqualTo(String value) {
            addCriterion("blur <=", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurLike(String value) {
            addCriterion("blur like", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurNotLike(String value) {
            addCriterion("blur not like", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurIn(List<String> values) {
            addCriterion("blur in", values, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurNotIn(List<String> values) {
            addCriterion("blur not in", values, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurBetween(String value1, String value2) {
            addCriterion("blur between", value1, value2, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurNotBetween(String value1, String value2) {
            addCriterion("blur not between", value1, value2, "blur");
            return (Criteria) this;
        }

        public Criteria andChromaIsNull() {
            addCriterion("chroma is null");
            return (Criteria) this;
        }

        public Criteria andChromaIsNotNull() {
            addCriterion("chroma is not null");
            return (Criteria) this;
        }

        public Criteria andChromaEqualTo(String value) {
            addCriterion("chroma =", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaNotEqualTo(String value) {
            addCriterion("chroma <>", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaGreaterThan(String value) {
            addCriterion("chroma >", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaGreaterThanOrEqualTo(String value) {
            addCriterion("chroma >=", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaLessThan(String value) {
            addCriterion("chroma <", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaLessThanOrEqualTo(String value) {
            addCriterion("chroma <=", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaLike(String value) {
            addCriterion("chroma like", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaNotLike(String value) {
            addCriterion("chroma not like", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaIn(List<String> values) {
            addCriterion("chroma in", values, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaNotIn(List<String> values) {
            addCriterion("chroma not in", values, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaBetween(String value1, String value2) {
            addCriterion("chroma between", value1, value2, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaNotBetween(String value1, String value2) {
            addCriterion("chroma not between", value1, value2, "chroma");
            return (Criteria) this;
        }

        public Criteria andFreezeIsNull() {
            addCriterion("freeze is null");
            return (Criteria) this;
        }

        public Criteria andFreezeIsNotNull() {
            addCriterion("freeze is not null");
            return (Criteria) this;
        }

        public Criteria andFreezeEqualTo(String value) {
            addCriterion("freeze =", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeNotEqualTo(String value) {
            addCriterion("freeze <>", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeGreaterThan(String value) {
            addCriterion("freeze >", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeGreaterThanOrEqualTo(String value) {
            addCriterion("freeze >=", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeLessThan(String value) {
            addCriterion("freeze <", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeLessThanOrEqualTo(String value) {
            addCriterion("freeze <=", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeLike(String value) {
            addCriterion("freeze like", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeNotLike(String value) {
            addCriterion("freeze not like", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeIn(List<String> values) {
            addCriterion("freeze in", values, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeNotIn(List<String> values) {
            addCriterion("freeze not in", values, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeBetween(String value1, String value2) {
            addCriterion("freeze between", value1, value2, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeNotBetween(String value1, String value2) {
            addCriterion("freeze not between", value1, value2, "freeze");
            return (Criteria) this;
        }

        public Criteria andSceneIsNull() {
            addCriterion("scene is null");
            return (Criteria) this;
        }

        public Criteria andSceneIsNotNull() {
            addCriterion("scene is not null");
            return (Criteria) this;
        }

        public Criteria andSceneEqualTo(String value) {
            addCriterion("scene =", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneNotEqualTo(String value) {
            addCriterion("scene <>", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneGreaterThan(String value) {
            addCriterion("scene >", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneGreaterThanOrEqualTo(String value) {
            addCriterion("scene >=", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneLessThan(String value) {
            addCriterion("scene <", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneLessThanOrEqualTo(String value) {
            addCriterion("scene <=", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneLike(String value) {
            addCriterion("scene like", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneNotLike(String value) {
            addCriterion("scene not like", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneIn(List<String> values) {
            addCriterion("scene in", values, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneNotIn(List<String> values) {
            addCriterion("scene not in", values, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneBetween(String value1, String value2) {
            addCriterion("scene between", value1, value2, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneNotBetween(String value1, String value2) {
            addCriterion("scene not between", value1, value2, "scene");
            return (Criteria) this;
        }

        public Criteria andSignalsIsNull() {
            addCriterion("signals is null");
            return (Criteria) this;
        }

        public Criteria andSignalsIsNotNull() {
            addCriterion("signals is not null");
            return (Criteria) this;
        }

        public Criteria andSignalsEqualTo(String value) {
            addCriterion("signals =", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsNotEqualTo(String value) {
            addCriterion("signals <>", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsGreaterThan(String value) {
            addCriterion("signals >", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsGreaterThanOrEqualTo(String value) {
            addCriterion("signals >=", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsLessThan(String value) {
            addCriterion("signals <", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsLessThanOrEqualTo(String value) {
            addCriterion("signals <=", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsLike(String value) {
            addCriterion("signals like", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsNotLike(String value) {
            addCriterion("signals not like", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsIn(List<String> values) {
            addCriterion("signals in", values, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsNotIn(List<String> values) {
            addCriterion("signals not in", values, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsBetween(String value1, String value2) {
            addCriterion("signals between", value1, value2, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsNotBetween(String value1, String value2) {
            addCriterion("signals not between", value1, value2, "signals");
            return (Criteria) this;
        }

        public Criteria andPtzIsNull() {
            addCriterion("ptz is null");
            return (Criteria) this;
        }

        public Criteria andPtzIsNotNull() {
            addCriterion("ptz is not null");
            return (Criteria) this;
        }

        public Criteria andPtzEqualTo(String value) {
            addCriterion("ptz =", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzNotEqualTo(String value) {
            addCriterion("ptz <>", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzGreaterThan(String value) {
            addCriterion("ptz >", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzGreaterThanOrEqualTo(String value) {
            addCriterion("ptz >=", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzLessThan(String value) {
            addCriterion("ptz <", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzLessThanOrEqualTo(String value) {
            addCriterion("ptz <=", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzLike(String value) {
            addCriterion("ptz like", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzNotLike(String value) {
            addCriterion("ptz not like", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzIn(List<String> values) {
            addCriterion("ptz in", values, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzNotIn(List<String> values) {
            addCriterion("ptz not in", values, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzBetween(String value1, String value2) {
            addCriterion("ptz between", value1, value2, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzNotBetween(String value1, String value2) {
            addCriterion("ptz not between", value1, value2, "ptz");
            return (Criteria) this;
        }

        public Criteria andContrastIsNull() {
            addCriterion("contrast is null");
            return (Criteria) this;
        }

        public Criteria andContrastIsNotNull() {
            addCriterion("contrast is not null");
            return (Criteria) this;
        }

        public Criteria andContrastEqualTo(String value) {
            addCriterion("contrast =", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastNotEqualTo(String value) {
            addCriterion("contrast <>", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastGreaterThan(String value) {
            addCriterion("contrast >", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastGreaterThanOrEqualTo(String value) {
            addCriterion("contrast >=", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastLessThan(String value) {
            addCriterion("contrast <", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastLessThanOrEqualTo(String value) {
            addCriterion("contrast <=", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastLike(String value) {
            addCriterion("contrast like", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastNotLike(String value) {
            addCriterion("contrast not like", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastIn(List<String> values) {
            addCriterion("contrast in", values, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastNotIn(List<String> values) {
            addCriterion("contrast not in", values, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastBetween(String value1, String value2) {
            addCriterion("contrast between", value1, value2, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastNotBetween(String value1, String value2) {
            addCriterion("contrast not between", value1, value2, "contrast");
            return (Criteria) this;
        }

        public Criteria andBrightIsNull() {
            addCriterion("bright is null");
            return (Criteria) this;
        }

        public Criteria andBrightIsNotNull() {
            addCriterion("bright is not null");
            return (Criteria) this;
        }

        public Criteria andBrightEqualTo(String value) {
            addCriterion("bright =", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightNotEqualTo(String value) {
            addCriterion("bright <>", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightGreaterThan(String value) {
            addCriterion("bright >", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightGreaterThanOrEqualTo(String value) {
            addCriterion("bright >=", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightLessThan(String value) {
            addCriterion("bright <", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightLessThanOrEqualTo(String value) {
            addCriterion("bright <=", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightLike(String value) {
            addCriterion("bright like", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightNotLike(String value) {
            addCriterion("bright not like", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightIn(List<String> values) {
            addCriterion("bright in", values, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightNotIn(List<String> values) {
            addCriterion("bright not in", values, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightBetween(String value1, String value2) {
            addCriterion("bright between", value1, value2, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightNotBetween(String value1, String value2) {
            addCriterion("bright not between", value1, value2, "bright");
            return (Criteria) this;
        }

        public Criteria andDarkIsNull() {
            addCriterion("dark is null");
            return (Criteria) this;
        }

        public Criteria andDarkIsNotNull() {
            addCriterion("dark is not null");
            return (Criteria) this;
        }

        public Criteria andDarkEqualTo(String value) {
            addCriterion("dark =", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkNotEqualTo(String value) {
            addCriterion("dark <>", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkGreaterThan(String value) {
            addCriterion("dark >", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkGreaterThanOrEqualTo(String value) {
            addCriterion("dark >=", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkLessThan(String value) {
            addCriterion("dark <", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkLessThanOrEqualTo(String value) {
            addCriterion("dark <=", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkLike(String value) {
            addCriterion("dark like", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkNotLike(String value) {
            addCriterion("dark not like", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkIn(List<String> values) {
            addCriterion("dark in", values, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkNotIn(List<String> values) {
            addCriterion("dark not in", values, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkBetween(String value1, String value2) {
            addCriterion("dark between", value1, value2, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkNotBetween(String value1, String value2) {
            addCriterion("dark not between", value1, value2, "dark");
            return (Criteria) this;
        }

        public Criteria andMonoIsNull() {
            addCriterion("mono is null");
            return (Criteria) this;
        }

        public Criteria andMonoIsNotNull() {
            addCriterion("mono is not null");
            return (Criteria) this;
        }

        public Criteria andMonoEqualTo(String value) {
            addCriterion("mono =", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoNotEqualTo(String value) {
            addCriterion("mono <>", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoGreaterThan(String value) {
            addCriterion("mono >", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoGreaterThanOrEqualTo(String value) {
            addCriterion("mono >=", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoLessThan(String value) {
            addCriterion("mono <", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoLessThanOrEqualTo(String value) {
            addCriterion("mono <=", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoLike(String value) {
            addCriterion("mono like", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoNotLike(String value) {
            addCriterion("mono not like", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoIn(List<String> values) {
            addCriterion("mono in", values, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoNotIn(List<String> values) {
            addCriterion("mono not in", values, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoBetween(String value1, String value2) {
            addCriterion("mono between", value1, value2, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoNotBetween(String value1, String value2) {
            addCriterion("mono not between", value1, value2, "mono");
            return (Criteria) this;
        }

        public Criteria andNoiseIsNull() {
            addCriterion("noise is null");
            return (Criteria) this;
        }

        public Criteria andNoiseIsNotNull() {
            addCriterion("noise is not null");
            return (Criteria) this;
        }

        public Criteria andNoiseEqualTo(String value) {
            addCriterion("noise =", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseNotEqualTo(String value) {
            addCriterion("noise <>", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseGreaterThan(String value) {
            addCriterion("noise >", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseGreaterThanOrEqualTo(String value) {
            addCriterion("noise >=", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseLessThan(String value) {
            addCriterion("noise <", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseLessThanOrEqualTo(String value) {
            addCriterion("noise <=", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseLike(String value) {
            addCriterion("noise like", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseNotLike(String value) {
            addCriterion("noise not like", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseIn(List<String> values) {
            addCriterion("noise in", values, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseNotIn(List<String> values) {
            addCriterion("noise not in", values, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseBetween(String value1, String value2) {
            addCriterion("noise between", value1, value2, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseNotBetween(String value1, String value2) {
            addCriterion("noise not between", value1, value2, "noise");
            return (Criteria) this;
        }

        public Criteria andStripeIsNull() {
            addCriterion("stripe is null");
            return (Criteria) this;
        }

        public Criteria andStripeIsNotNull() {
            addCriterion("stripe is not null");
            return (Criteria) this;
        }

        public Criteria andStripeEqualTo(String value) {
            addCriterion("stripe =", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeNotEqualTo(String value) {
            addCriterion("stripe <>", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeGreaterThan(String value) {
            addCriterion("stripe >", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeGreaterThanOrEqualTo(String value) {
            addCriterion("stripe >=", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeLessThan(String value) {
            addCriterion("stripe <", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeLessThanOrEqualTo(String value) {
            addCriterion("stripe <=", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeLike(String value) {
            addCriterion("stripe like", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeNotLike(String value) {
            addCriterion("stripe not like", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeIn(List<String> values) {
            addCriterion("stripe in", values, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeNotIn(List<String> values) {
            addCriterion("stripe not in", values, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeBetween(String value1, String value2) {
            addCriterion("stripe between", value1, value2, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeNotBetween(String value1, String value2) {
            addCriterion("stripe not between", value1, value2, "stripe");
            return (Criteria) this;
        }

        public Criteria andShakeIsNull() {
            addCriterion("shake is null");
            return (Criteria) this;
        }

        public Criteria andShakeIsNotNull() {
            addCriterion("shake is not null");
            return (Criteria) this;
        }

        public Criteria andShakeEqualTo(String value) {
            addCriterion("shake =", value, "shake");
            return (Criteria) this;
        }

        public Criteria andShakeNotEqualTo(String value) {
            addCriterion("shake <>", value, "shake");
            return (Criteria) this;
        }

        public Criteria andShakeGreaterThan(String value) {
            addCriterion("shake >", value, "shake");
            return (Criteria) this;
        }

        public Criteria andShakeGreaterThanOrEqualTo(String value) {
            addCriterion("shake >=", value, "shake");
            return (Criteria) this;
        }

        public Criteria andShakeLessThan(String value) {
            addCriterion("shake <", value, "shake");
            return (Criteria) this;
        }

        public Criteria andShakeLessThanOrEqualTo(String value) {
            addCriterion("shake <=", value, "shake");
            return (Criteria) this;
        }

        public Criteria andShakeLike(String value) {
            addCriterion("shake like", value, "shake");
            return (Criteria) this;
        }

        public Criteria andShakeNotLike(String value) {
            addCriterion("shake not like", value, "shake");
            return (Criteria) this;
        }

        public Criteria andShakeIn(List<String> values) {
            addCriterion("shake in", values, "shake");
            return (Criteria) this;
        }

        public Criteria andShakeNotIn(List<String> values) {
            addCriterion("shake not in", values, "shake");
            return (Criteria) this;
        }

        public Criteria andShakeBetween(String value1, String value2) {
            addCriterion("shake between", value1, value2, "shake");
            return (Criteria) this;
        }

        public Criteria andShakeNotBetween(String value1, String value2) {
            addCriterion("shake not between", value1, value2, "shake");
            return (Criteria) this;
        }

        public Criteria andFlashIsNull() {
            addCriterion("flash is null");
            return (Criteria) this;
        }

        public Criteria andFlashIsNotNull() {
            addCriterion("flash is not null");
            return (Criteria) this;
        }

        public Criteria andFlashEqualTo(String value) {
            addCriterion("flash =", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashNotEqualTo(String value) {
            addCriterion("flash <>", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashGreaterThan(String value) {
            addCriterion("flash >", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashGreaterThanOrEqualTo(String value) {
            addCriterion("flash >=", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashLessThan(String value) {
            addCriterion("flash <", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashLessThanOrEqualTo(String value) {
            addCriterion("flash <=", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashLike(String value) {
            addCriterion("flash like", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashNotLike(String value) {
            addCriterion("flash not like", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashIn(List<String> values) {
            addCriterion("flash in", values, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashNotIn(List<String> values) {
            addCriterion("flash not in", values, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashBetween(String value1, String value2) {
            addCriterion("flash between", value1, value2, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashNotBetween(String value1, String value2) {
            addCriterion("flash not between", value1, value2, "flash");
            return (Criteria) this;
        }

        public Criteria andCoverIsNull() {
            addCriterion("cover is null");
            return (Criteria) this;
        }

        public Criteria andCoverIsNotNull() {
            addCriterion("cover is not null");
            return (Criteria) this;
        }

        public Criteria andCoverEqualTo(String value) {
            addCriterion("cover =", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverNotEqualTo(String value) {
            addCriterion("cover <>", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverGreaterThan(String value) {
            addCriterion("cover >", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverGreaterThanOrEqualTo(String value) {
            addCriterion("cover >=", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverLessThan(String value) {
            addCriterion("cover <", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverLessThanOrEqualTo(String value) {
            addCriterion("cover <=", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverLike(String value) {
            addCriterion("cover like", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverNotLike(String value) {
            addCriterion("cover not like", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverIn(List<String> values) {
            addCriterion("cover in", values, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverNotIn(List<String> values) {
            addCriterion("cover not in", values, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverBetween(String value1, String value2) {
            addCriterion("cover between", value1, value2, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverNotBetween(String value1, String value2) {
            addCriterion("cover not between", value1, value2, "cover");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andImgIsNull() {
            addCriterion("img is null");
            return (Criteria) this;
        }

        public Criteria andImgIsNotNull() {
            addCriterion("img is not null");
            return (Criteria) this;
        }

        public Criteria andImgEqualTo(String value) {
            addCriterion("img =", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgNotEqualTo(String value) {
            addCriterion("img <>", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgGreaterThan(String value) {
            addCriterion("img >", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgGreaterThanOrEqualTo(String value) {
            addCriterion("img >=", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgLessThan(String value) {
            addCriterion("img <", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgLessThanOrEqualTo(String value) {
            addCriterion("img <=", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgLike(String value) {
            addCriterion("img like", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgNotLike(String value) {
            addCriterion("img not like", value, "img");
            return (Criteria) this;
        }

        public Criteria andImgIn(List<String> values) {
            addCriterion("img in", values, "img");
            return (Criteria) this;
        }

        public Criteria andImgNotIn(List<String> values) {
            addCriterion("img not in", values, "img");
            return (Criteria) this;
        }

        public Criteria andImgBetween(String value1, String value2) {
            addCriterion("img between", value1, value2, "img");
            return (Criteria) this;
        }

        public Criteria andImgNotBetween(String value1, String value2) {
            addCriterion("img not between", value1, value2, "img");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}