package com.chinaitop.depot.monitor.model;

import java.util.Date;

public class MonitorJobEnty {
    /**
     * 任务调度参数key
     */
    public static final String JOB_PARAM_KEY = "JOB_PARAM_KEY";
    
    private String id;
    
    private String title;

    private String beanName;

    private String methodName;

    private String params;

    private String cronExpression;

    private Byte status;

    private String remark;

    private Date createTime;

    private Date updateTime;

    private Integer createrId;

    private Integer updaterId;

    private Integer orgId;

    /**
     * 任务id
     * @return id 任务id
     */
    public String getId() {
        return id;
    }

    /**
     * 任务id
     * @param id 任务id
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * spring bean名称
     * @return bean_name spring bean名称
     */
    public String getBeanName() {
        return beanName;
    }

    /**
     * spring bean名称
     * @param beanName spring bean名称
     */
    public void setBeanName(String beanName) {
        this.beanName = beanName == null ? null : beanName.trim();
    }

    /**
     * 方法名
     * @return method_name 方法名
     */
    public String getMethodName() {
        return methodName;
    }

    /**
     * 方法名
     * @param methodName 方法名
     */
    public void setMethodName(String methodName) {
        this.methodName = methodName == null ? null : methodName.trim();
    }

    /**
     * 参数
     * @return params 参数
     */
    public String getParams() {
        return params;
    }

    /**
     * 参数
     * @param params 参数
     */
    public void setParams(String params) {
        this.params = params == null ? null : params.trim();
    }

    /**
     * cron表达式
     * @return cron_expression cron表达式
     */
    public String getCronExpression() {
        return cronExpression;
    }

    /**
     * cron表达式
     * @param cronExpression cron表达式
     */
    public void setCronExpression(String cronExpression) {
        this.cronExpression = cronExpression == null ? null : cronExpression.trim();
    }

    /**
     * 任务状态  0：正常  1：暂停
     * @return status 任务状态  0：正常  1：暂停
     */
    public Byte getStatus() {
        return status;
    }

    /**
     * 任务状态  0：正常  1：暂停
     * @param status 任务状态  0：正常  1：暂停
     */
    public void setStatus(Byte status) {
        this.status = status;
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 创建时间
     * @return create_time 创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime 创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 
     * @return update_time 
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 
     * @param updateTime 
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 
     * @return creater_id 
     */
    public Integer getCreaterId() {
        return createrId;
    }

    /**
     * 
     * @param createrId 
     */
    public void setCreaterId(Integer createrId) {
        this.createrId = createrId;
    }

    /**
     * 
     * @return updater_id 
     */
    public Integer getUpdaterId() {
        return updaterId;
    }

    /**
     * 
     * @param updaterId 
     */
    public void setUpdaterId(Integer updaterId) {
        this.updaterId = updaterId;
    }

    /**
     * 
     * @return org_id 
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 
     * @param orgId 
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * @return the title
     */
    public String getTitle() {
        return title;
    }

    /**
     * @param title the title to set
     */
    public void setTitle(String title) {
        this.title = title;
    }
    
    
}