package com.chinaitop.depot.monitor.model;

import java.util.ArrayList;
import java.util.List;

public class MonitorSettingPathExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public MonitorSettingPathExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andImgpathIsNull() {
            addCriterion("imgpath is null");
            return (Criteria) this;
        }

        public Criteria andImgpathIsNotNull() {
            addCriterion("imgpath is not null");
            return (Criteria) this;
        }

        public Criteria andImgpathEqualTo(String value) {
            addCriterion("imgpath =", value, "imgpath");
            return (Criteria) this;
        }

        public Criteria andImgpathNotEqualTo(String value) {
            addCriterion("imgpath <>", value, "imgpath");
            return (Criteria) this;
        }

        public Criteria andImgpathGreaterThan(String value) {
            addCriterion("imgpath >", value, "imgpath");
            return (Criteria) this;
        }

        public Criteria andImgpathGreaterThanOrEqualTo(String value) {
            addCriterion("imgpath >=", value, "imgpath");
            return (Criteria) this;
        }

        public Criteria andImgpathLessThan(String value) {
            addCriterion("imgpath <", value, "imgpath");
            return (Criteria) this;
        }

        public Criteria andImgpathLessThanOrEqualTo(String value) {
            addCriterion("imgpath <=", value, "imgpath");
            return (Criteria) this;
        }

        public Criteria andImgpathLike(String value) {
            addCriterion("imgpath like", value, "imgpath");
            return (Criteria) this;
        }

        public Criteria andImgpathNotLike(String value) {
            addCriterion("imgpath not like", value, "imgpath");
            return (Criteria) this;
        }

        public Criteria andImgpathIn(List<String> values) {
            addCriterion("imgpath in", values, "imgpath");
            return (Criteria) this;
        }

        public Criteria andImgpathNotIn(List<String> values) {
            addCriterion("imgpath not in", values, "imgpath");
            return (Criteria) this;
        }

        public Criteria andImgpathBetween(String value1, String value2) {
            addCriterion("imgpath between", value1, value2, "imgpath");
            return (Criteria) this;
        }

        public Criteria andImgpathNotBetween(String value1, String value2) {
            addCriterion("imgpath not between", value1, value2, "imgpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathIsNull() {
            addCriterion("recordpath is null");
            return (Criteria) this;
        }

        public Criteria andRecordpathIsNotNull() {
            addCriterion("recordpath is not null");
            return (Criteria) this;
        }

        public Criteria andRecordpathEqualTo(String value) {
            addCriterion("recordpath =", value, "recordpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathNotEqualTo(String value) {
            addCriterion("recordpath <>", value, "recordpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathGreaterThan(String value) {
            addCriterion("recordpath >", value, "recordpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathGreaterThanOrEqualTo(String value) {
            addCriterion("recordpath >=", value, "recordpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathLessThan(String value) {
            addCriterion("recordpath <", value, "recordpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathLessThanOrEqualTo(String value) {
            addCriterion("recordpath <=", value, "recordpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathLike(String value) {
            addCriterion("recordpath like", value, "recordpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathNotLike(String value) {
            addCriterion("recordpath not like", value, "recordpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathIn(List<String> values) {
            addCriterion("recordpath in", values, "recordpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathNotIn(List<String> values) {
            addCriterion("recordpath not in", values, "recordpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathBetween(String value1, String value2) {
            addCriterion("recordpath between", value1, value2, "recordpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathNotBetween(String value1, String value2) {
            addCriterion("recordpath not between", value1, value2, "recordpath");
            return (Criteria) this;
        }

        public Criteria andDownpathIsNull() {
            addCriterion("downpath is null");
            return (Criteria) this;
        }

        public Criteria andDownpathIsNotNull() {
            addCriterion("downpath is not null");
            return (Criteria) this;
        }

        public Criteria andDownpathEqualTo(String value) {
            addCriterion("downpath =", value, "downpath");
            return (Criteria) this;
        }

        public Criteria andDownpathNotEqualTo(String value) {
            addCriterion("downpath <>", value, "downpath");
            return (Criteria) this;
        }

        public Criteria andDownpathGreaterThan(String value) {
            addCriterion("downpath >", value, "downpath");
            return (Criteria) this;
        }

        public Criteria andDownpathGreaterThanOrEqualTo(String value) {
            addCriterion("downpath >=", value, "downpath");
            return (Criteria) this;
        }

        public Criteria andDownpathLessThan(String value) {
            addCriterion("downpath <", value, "downpath");
            return (Criteria) this;
        }

        public Criteria andDownpathLessThanOrEqualTo(String value) {
            addCriterion("downpath <=", value, "downpath");
            return (Criteria) this;
        }

        public Criteria andDownpathLike(String value) {
            addCriterion("downpath like", value, "downpath");
            return (Criteria) this;
        }

        public Criteria andDownpathNotLike(String value) {
            addCriterion("downpath not like", value, "downpath");
            return (Criteria) this;
        }

        public Criteria andDownpathIn(List<String> values) {
            addCriterion("downpath in", values, "downpath");
            return (Criteria) this;
        }

        public Criteria andDownpathNotIn(List<String> values) {
            addCriterion("downpath not in", values, "downpath");
            return (Criteria) this;
        }

        public Criteria andDownpathBetween(String value1, String value2) {
            addCriterion("downpath between", value1, value2, "downpath");
            return (Criteria) this;
        }

        public Criteria andDownpathNotBetween(String value1, String value2) {
            addCriterion("downpath not between", value1, value2, "downpath");
            return (Criteria) this;
        }

        public Criteria andImgpathLikeInsensitive(String value) {
            addCriterion("upper(imgpath) like", value.toUpperCase(), "imgpath");
            return (Criteria) this;
        }

        public Criteria andRecordpathLikeInsensitive(String value) {
            addCriterion("upper(recordpath) like", value.toUpperCase(), "recordpath");
            return (Criteria) this;
        }

        public Criteria andDownpathLikeInsensitive(String value) {
            addCriterion("upper(downpath) like", value.toUpperCase(), "downpath");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}