package com.chinaitop.depot.monitor.service.impl;

import com.chinaitop.depot.utils.ParameterUtil;

public enum WeekBean {
    MON("周一","MON","1"), TUE("周二","TUE","2"), WED("周三","WED","3"), THU("周四","THU","4"), FRI("周五","FRI","5"), SAT("周六","SAT","6"),SUN("周日","SUN","7"),EVE("天","EVE","0");

    private String weakName;
    private String enWeakName;
    private String num;

    public String getWeakName() {
        return weakName;
    }

    public void setWeakName(String weakName) {
        this.weakName = weakName;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getEnWeakName() {
        return enWeakName;
    }

    public void setEnWeakName(String enWeakName) {
        this.enWeakName = enWeakName;
    }

    private WeekBean(String weakName, String enWeakName, String num){
        this.enWeakName = enWeakName;
        this.weakName = weakName;
        this.num = num;
    }

    // 根据num获取名称
    public static String getWeakName(String num) {
        for (WeekBean w : WeekBean.values()) {
            if (ParameterUtil.isequal(num,w.getNum())) {
                return w.getWeakName();
            }
        }
        return null;
    }

    // 根据num获取名称
    public static String getEnWeakName(String num) {
        for (WeekBean w : WeekBean.values()) {
            if (ParameterUtil.isequal(num,w.getNum())) {
                return w.getEnWeakName();
            }
        }
        return null;
    }

}

enum DiagPrigram{
    BLUR("·图像模糊·"),
    CHROMA("·偏色异常·"),
    FREEZE("·画面冻结·"),
    SCENE("·场景变更·"),
    SIGNAL("·信号丢失·"),
    PTZ("·云台失控·"),
    CONTRAST("·对比度·"),
    BRIGHT("·图像过亮·"),
    DARK("·图像过暗·"),
    MONO("·黑白图像·"),
    NOISE("·噪音干扰·"),
    STRIPE("·条纹干扰·"),
    HAKE("·视频抖动·"),
    FLASH("·视频巨变·"),
    COVER("·视频遮挡·");

    private String cnName;

    DiagPrigram(String cnName) {
        this.cnName = cnName;
    }

    public static String getCnName(DiagPrigram diagPrigram){
        return diagPrigram.cnName;
    }

}
