package com.chinaitop.depot.supervise.service;
import java.util.List;
import java.util.Map;

public interface GrainConditionService {
    /**
     * 获取最新仓房温度列表
     * @return
     */
    List<Map<String,Object>> getDataList(String houseNo, String orgId);

    List<Map<String,Object>> getThreeCondition(Map<String,Object> example);

    List<Map<String,Object>> getThreeConditionHomePage(Map<String,Object> example);

    /**
     * 根据仓房id查询对应仓房温度
     * @param houseNo
     * @return
     */
    Map<String,Object> getTempByHouseNo(String houseNo,String orgId);

    /**
     * 给pad端提供的三温图的数据接口
     * @param example
     * @return
     */
    List<Map<String,Object>> getThreeConditionForPad(Map<String,Object> example);
}
