/*package com.chinaitop.utils.quartz.service;

import com.chinaitop.depot.monitor.service.quartzJob.QualityJob;
import com.chinaitop.depot.storage.service.impl.StorageThreetempcheckServiceImpl;
import com.chinaitop.utils.ParameterUtil;
import org.quartz.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.quartz.SchedulerFactoryBean;
import org.springframework.stereotype.Component;

import java.util.Map;

*//**
 * @auther mafy
 * @createtime 2017/10/21 0021
 *//*
@Component
public class DepotScheduler {

    @Autowired
    SchedulerFactoryBean schedulerFactoryBean;

    @Autowired
    private StorageThreetempcheckServiceImpl threetempCheckService;

    //定时器id
    public static final String QUARTZID = "QUARTZID";//统一的key


    //项目启动执行该方法，只执行一遍
    public void scheduleJobs() throws SchedulerException {
        Scheduler scheduler = schedulerFactoryBean.getScheduler();
        // new QualityJob().qualityScheduler(scheduler);//查询视频行为分析开启计划
        threetempCheckService.storehouseGetTempJob(scheduler);
    }

    *//**
     * 制造定时任务，传入需要的参数
     * startJob("0/5 * * * * ? ","gropu1","job1","com.example.demo.job.MyJob1")
     *//*
    public void addJob(String time, String groupName, String jobName, Class jobClassName, Map<String,Object> paramMap){
        Scheduler scheduler = schedulerFactoryBean.getScheduler();
        try {
            Class jobClass = jobClassName;
            // 创建jobDetail实例，绑定Job实现类
            // 指明job的名称，所在组的名称，以及绑定job类
            JobDetail jobDetail = JobBuilder.newJob(jobClass) .withIdentity(jobName, groupName).build();//设置Job的名字和组
            if(ParameterUtil.isequal(NeedQuartz.getName(NeedQuartz.QUALITY).toString(),paramMap.get(QUARTZID).toString())){//判断当前执行的计划为视频诊断的计划，参数保存
                jobDetail.getJobDataMap().put(QUARTZID,jobName);//动态添加数据,jobName定时器id，保存在计划表中
                jobDetail.getJobDataMap().put("groupids",paramMap.get("groupids"));//动态添加数据,jobName定时器id，保存在计划表中
            }
            //  corn表达式  0/5 * * * * ?
            CronScheduleBuilder scheduleBuilder = CronScheduleBuilder.cronSchedule(time);
            //设置定时任务的时间触发规则
            CronTrigger cronTrigger = TriggerBuilder.newTrigger().withIdentity(jobName,groupName) .withSchedule(scheduleBuilder).build();
            // 把作业和触发器注册到任务调度中
            scheduler.scheduleJob(jobDetail,cronTrigger);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }



    *//***
     * 修改定时任务时间
     * @param triggerName
     * @param triggerGroupName
     * @param time
     *//*
    public  void  modifyJobTime(String triggerName,String triggerGroupName, String time) {
        try {
            Scheduler scheduler = schedulerFactoryBean.getScheduler();
            TriggerKey triggerKey = new TriggerKey(triggerName, triggerGroupName);
            CronTrigger trigger = (CronTrigger) scheduler.getTrigger(triggerKey);
            if (trigger == null) {
                return;
            }
            System.out.println(scheduler.getTriggerState(triggerKey));
            String oldTime = trigger.getCronExpression();
            if (!oldTime.equalsIgnoreCase(time)) {  // Trigger已存在，那么更新相应的定时设置
                CronScheduleBuilder scheduleBuilder = CronScheduleBuilder.cronSchedule(time);//设置一个新的定时时间
                // 按新的cronExpression表达式重新构建trigger
                CronTrigger cronTrigger = trigger.getTriggerBuilder().withIdentity(triggerKey).withSchedule(scheduleBuilder).build();
                // 按新的trigger重新设置job执行
                scheduler.rescheduleJob(triggerKey, cronTrigger);
            }
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    *//****
     * 暂停一个任务
     * @param triggerName
     * @param triggerGroupName
     *//*
    public void pauseJob(String triggerName,String triggerGroupName){
        try {
            Scheduler scheduler = schedulerFactoryBean.getScheduler();
            JobKey jobKey = new JobKey(triggerName, triggerGroupName);
            JobDetail jobDetail = scheduler.getJobDetail(jobKey);
            if (jobDetail==null){
                return;
            }
            scheduler.pauseJob(jobKey);
        } catch (SchedulerException e) {
            e.printStackTrace();
        }
    }
    *//****
     * 删除一个任务
     * @param triggerName
     * @param triggerGroupName
     *//*
    public void deleteJob(String triggerName,String triggerGroupName){
        try {
            Scheduler scheduler = schedulerFactoryBean.getScheduler();
            JobKey jobKey = new JobKey(triggerName, triggerGroupName);
            JobDetail jobDetail = scheduler.getJobDetail(jobKey);
            if (jobDetail==null){
                return;
            }
            scheduler.deleteJob(jobKey);
        } catch (SchedulerException e) {
            e.printStackTrace();
        }
    }
    *//****
     * 恢复一个任务
     * @param triggerName
     * @param triggerGroupName
     *//*
    public void resumeJob(String triggerName,String triggerGroupName){
        try {
            Scheduler scheduler = schedulerFactoryBean.getScheduler();
            JobKey jobKey = new JobKey(triggerName, triggerGroupName);
            JobDetail jobDetail = scheduler.getJobDetail(jobKey);
            if (jobDetail==null){
                return;
            }
            scheduler.resumeJob(jobKey);
        } catch (SchedulerException e) {
            e.printStackTrace();
        }
    }
    *//***
     * 开始定时任务
     *//*
    public void startAllJob(){
        try {
            Scheduler scheduler = schedulerFactoryBean.getScheduler();
            scheduler.start();
        } catch (SchedulerException e) {
            e.printStackTrace();
        }
    }
    *//***
     * 立即执行定时任务
     *//*
    public void doJob(String triggerName,String triggerGroupName){
        try {
            Scheduler scheduler = schedulerFactoryBean.getScheduler();
            JobKey jobKey = JobKey.jobKey(triggerName, triggerGroupName);
            scheduler.triggerJob(jobKey);
        } catch (SchedulerException e) {
            e.printStackTrace();
        }
    }
    *//**
     * 关闭所有任务
     *//*
    public void shutdown(){
        try {
            Scheduler scheduler = schedulerFactoryBean.getScheduler();
            scheduler.shutdown();
        } catch (SchedulerException e) {
            e.printStackTrace();
        }
    }

    *//**
     *
     * 格式: [秒] [分] [小时] [日] [月] [周] [年]
     序号	说明	 是否必填	允许填写的值	允许的通配符
     1	秒	是	0-59 	, - * /
     2	分	是	0-59	, - * /
     3	小时	是	0-23	, - * /
     4	日	是	1-31	, - * ? / L W
     5	月	是	1-12 or JAN-DEC	, - * /
     6	周	是	1-7 or SUN-SAT	, - * ? / L #
     7	年	否	empty 或 1970-2099	, - * /
     *
     *
     *
     0 0 12 * * ? 	每天12点触发
     0 15 10 ? * * 	每天10点15分触发
     0 15 10 * * ? 	每天10点15分触发
     0 15 10 * * ? * 	每天10点15分触发
     0 15 10 * * ? 2005 	2005年每天10点15分触发
     0 * 14 * * ? 	每天下午的 2点到2点59分每分触发
     0 0/5 14 * * ? 	每天下午的 2点到2点59分(整点开始，每隔5分触发)

     0 0/5 14,18 * * ?

     每天下午的 2点到2点59分(整点开始，每隔5分触发)
     每天下午的 18点到18点59分(整点开始，每隔5分触发)

     0 0-5 14 * * ? 	每天下午的 2点到2点05分每分触发
     0 10,44 14 ? 3 WED 	3月分每周三下午的 2点10分和2点44分触发
     0 15 10 ? * MON-FRI 	从周一到周五每天上午的10点15分触发
     0 15 10 15 * ? 	每月15号上午10点15分触发
     0 15 10 L * ? 	每月最后一天的10点15分触发
     0 15 10 ? * 6L 	每月最后一周的星期五的10点15分触发
     0 15 10 ? * 6L 2002-2005 	从2002年到2005年每月最后一周的星期五的10点15分触发
     0 15 10 ? * 6#3 	每月的第三周的星期五开始触发
     0 0 12 1/5 * ? 	每月的第一个中午开始每隔5天触发一次
     0 11 11 11 11 ? 	每年的11月11号 11点11分触发(光棍节)
     *
     * *//*

}
*/