package com.chinaitop.depot.basic.mapper;

import com.chinaitop.depot.basic.model.MonitorNvr;
import com.chinaitop.depot.basic.model.MonitorNvrExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface MonitorNvrMapper {
    long countByExample(MonitorNvrExample example);

    int deleteByExample(MonitorNvrExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MonitorNvr record);

    int insertSelective(MonitorNvr record);

    List<MonitorNvr> selectByExample(MonitorNvrExample example);

    MonitorNvr selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MonitorNvr record, @Param("example") MonitorNvrExample example);

    int updateByExample(@Param("record") MonitorNvr record, @Param("example") MonitorNvrExample example);

    int updateByPrimaryKeySelective(MonitorNvr record);

    int updateByPrimaryKey(MonitorNvr record);

    int deleteNvrCameraByNVRID(Integer nvrId);

    List<Map<String,Object>> getThroughByNVRId(Integer nvrId);

    int insertChannel(Map<String, Object> channelDate);

    int importData(Map<String, String> map);
}