package com.chinaitop.depot.basic.model;

import java.io.Serializable;
import java.util.Date;

public class MonitorCamera implements Serializable {
    private Integer id;

    private String orgId;

    private String nvrId;

    private String name;

    private String alias;

    private String username;

    private String password;

    private String ip;

    private String subnetmask;

    private String gateway;

    private String type;

    private String port;

    private String factory;

    private String live;

    private String modelNumber;

    private String serialNumber;

    private String installationSite;

    private String installationMethod;

    private String irradiatedArea;

    private String powerPosition;

    private String remark;

    private String channelNumber;

    private String isremove;

    private Date updateTime;

    private Date warnTime;

    private String storehouseId;

    private String cameraIndexCode;

    private Integer status;

    private String statusName;

    private static final long serialVersionUID = 1L;

    public MonitorCamera(Integer id, String orgId, String name, String alias, String username, String password, String ip, String subnetmask, String gateway, String type, String port, String factory, String live, String modelNumber, String serialNumber, String installationSite, String installationMethod, String irradiatedArea, String powerPosition, String remark, String isremove, Date updateTime,String storehouseId,String cameraIndexCode,Integer status,String statusName) {
        this.id = id;
        this.orgId = orgId;
        this.name = name;
        this.alias = alias;
        this.username = username;
        this.password = password;
        this.ip = ip;
        this.subnetmask = subnetmask;
        this.gateway = gateway;
        this.type = type;
        this.port = port;
        this.factory = factory;
        this.live = live;
        this.modelNumber = modelNumber;
        this.serialNumber = serialNumber;
        this.installationSite = installationSite;
        this.installationMethod = installationMethod;
        this.irradiatedArea = irradiatedArea;
        this.powerPosition = powerPosition;
        this.remark = remark;
        this.isremove = isremove;
        this.updateTime = updateTime;
        this.cameraIndexCode = cameraIndexCode;
        this.status = status;
        this.statusName = statusName;
    }

    public Date getWarnTime() {
        return warnTime;
    }

    public void setWarnTime(Date warnTime) {
        this.warnTime = warnTime;
    }

    public String getCameraIndexCode() {
        return cameraIndexCode;
    }

    public void setCameraIndexCode(String cameraIndexCode) {
        this.cameraIndexCode = cameraIndexCode;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    public MonitorCamera() {
        super();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrgId() {
        return orgId;
    }

    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    public String getNvrId() {
        return nvrId;
    }

    public void setNvrId(String nvrId) {
        this.nvrId = nvrId == null ? null : nvrId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias == null ? null : alias.trim();
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username == null ? null : username.trim();
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password == null ? null : password.trim();
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip == null ? null : ip.trim();
    }

    public String getSubnetmask() {
        return subnetmask;
    }

    public void setSubnetmask(String subnetmask) {
        this.subnetmask = subnetmask == null ? null : subnetmask.trim();
    }

    public String getGateway() {
        return gateway;
    }

    public void setGateway(String gateway) {
        this.gateway = gateway == null ? null : gateway.trim();
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getPort() {
        return port;
    }

    public void setPort(String port) {
        this.port = port == null ? null : port.trim();
    }

    public String getFactory() {
        return factory;
    }

    public void setFactory(String factory) {
        this.factory = factory == null ? null : factory.trim();
    }

    public String getLive() {
        return live;
    }

    public void setLive(String live) {
        this.live = live == null ? null : live.trim();
    }

    public String getModelNumber() {
        return modelNumber;
    }

    public void setModelNumber(String modelNumber) {
        this.modelNumber = modelNumber == null ? null : modelNumber.trim();
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber == null ? null : serialNumber.trim();
    }

    public String getInstallationSite() {
        return installationSite;
    }

    public void setInstallationSite(String installationSite) {
        this.installationSite = installationSite == null ? null : installationSite.trim();
    }

    public String getInstallationMethod() {
        return installationMethod;
    }

    public void setInstallationMethod(String installationMethod) {
        this.installationMethod = installationMethod == null ? null : installationMethod.trim();
    }

    public String getIrradiatedArea() {
        return irradiatedArea;
    }

    public void setIrradiatedArea(String irradiatedArea) {
        this.irradiatedArea = irradiatedArea == null ? null : irradiatedArea.trim();
    }

    public String getPowerPosition() {
        return powerPosition;
    }

    public void setPowerPosition(String powerPosition) {
        this.powerPosition = powerPosition == null ? null : powerPosition.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getChannelNumber() {
        return channelNumber;
    }

    public void setChannelNumber(String channelNumber) {
        this.channelNumber = channelNumber == null ? null : channelNumber.trim();
    }

    public String getIsremove() {
        return isremove;
    }

    public void setIsremove(String isremove) {
        this.isremove = isremove == null ? null : isremove.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getStorehouseId() {
		return storehouseId;
	}

	public void setStorehouseId(String storehouseId) {
		this.storehouseId = storehouseId == null ? null : storehouseId.trim();
	}

	@Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        MonitorCamera other = (MonitorCamera) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
                && (this.getOrgId() == null ? other.getOrgId() == null : this.getOrgId().equals(other.getOrgId()))
                && (this.getName() == null ? other.getName() == null : this.getName().equals(other.getName()))
                && (this.getAlias() == null ? other.getAlias() == null : this.getAlias().equals(other.getAlias()))
                && (this.getUsername() == null ? other.getUsername() == null : this.getUsername().equals(other.getUsername()))
                && (this.getPassword() == null ? other.getPassword() == null : this.getPassword().equals(other.getPassword()))
                && (this.getIp() == null ? other.getIp() == null : this.getIp().equals(other.getIp()))
                && (this.getSubnetmask() == null ? other.getSubnetmask() == null : this.getSubnetmask().equals(other.getSubnetmask()))
                && (this.getGateway() == null ? other.getGateway() == null : this.getGateway().equals(other.getGateway()))
                && (this.getType() == null ? other.getType() == null : this.getType().equals(other.getType()))
                && (this.getPort() == null ? other.getPort() == null : this.getPort().equals(other.getPort()))
                && (this.getFactory() == null ? other.getFactory() == null : this.getFactory().equals(other.getFactory()))
                && (this.getLive() == null ? other.getLive() == null : this.getLive().equals(other.getLive()))
                && (this.getModelNumber() == null ? other.getModelNumber() == null : this.getModelNumber().equals(other.getModelNumber()))
                && (this.getSerialNumber() == null ? other.getSerialNumber() == null : this.getSerialNumber().equals(other.getSerialNumber()))
                && (this.getInstallationSite() == null ? other.getInstallationSite() == null : this.getInstallationSite().equals(other.getInstallationSite()))
                && (this.getInstallationMethod() == null ? other.getInstallationMethod() == null : this.getInstallationMethod().equals(other.getInstallationMethod()))
                && (this.getIrradiatedArea() == null ? other.getIrradiatedArea() == null : this.getIrradiatedArea().equals(other.getIrradiatedArea()))
                && (this.getPowerPosition() == null ? other.getPowerPosition() == null : this.getPowerPosition().equals(other.getPowerPosition()))
                && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()))
                && (this.getIsremove() == null ? other.getIsremove() == null : this.getIsremove().equals(other.getIsremove()))
                && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
        		&& (this.getStorehouseId() == null ? other.getStorehouseId() == null : this.getStorehouseId().equals(other.getStorehouseId()))
        		&& (this.getCameraIndexCode() == null ? other.getCameraIndexCode() == null : this.getCameraIndexCode().equals(other.getCameraIndexCode()))
        		&& (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
        		&& (this.getStatusName() == null ? other.getStatusName() == null : this.getStatusName().equals(other.getStatusName()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrgId() == null) ? 0 : getOrgId().hashCode());
        result = prime * result + ((getName() == null) ? 0 : getName().hashCode());
        result = prime * result + ((getAlias() == null) ? 0 : getAlias().hashCode());
        result = prime * result + ((getUsername() == null) ? 0 : getUsername().hashCode());
        result = prime * result + ((getPassword() == null) ? 0 : getPassword().hashCode());
        result = prime * result + ((getIp() == null) ? 0 : getIp().hashCode());
        result = prime * result + ((getSubnetmask() == null) ? 0 : getSubnetmask().hashCode());
        result = prime * result + ((getGateway() == null) ? 0 : getGateway().hashCode());
        result = prime * result + ((getType() == null) ? 0 : getType().hashCode());
        result = prime * result + ((getPort() == null) ? 0 : getPort().hashCode());
        result = prime * result + ((getFactory() == null) ? 0 : getFactory().hashCode());
        result = prime * result + ((getLive() == null) ? 0 : getLive().hashCode());
        result = prime * result + ((getModelNumber() == null) ? 0 : getModelNumber().hashCode());
        result = prime * result + ((getSerialNumber() == null) ? 0 : getSerialNumber().hashCode());
        result = prime * result + ((getInstallationSite() == null) ? 0 : getInstallationSite().hashCode());
        result = prime * result + ((getInstallationMethod() == null) ? 0 : getInstallationMethod().hashCode());
        result = prime * result + ((getIrradiatedArea() == null) ? 0 : getIrradiatedArea().hashCode());
        result = prime * result + ((getPowerPosition() == null) ? 0 : getPowerPosition().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        result = prime * result + ((getIsremove() == null) ? 0 : getIsremove().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getStorehouseId() == null) ? 0 : getStorehouseId().hashCode());
        result = prime * result + ((getCameraIndexCode() == null) ? 0 : getCameraIndexCode().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getStatusName() == null) ? 0 : getStatusName().hashCode());
        return result;
    }

    @Override
    public String toString() {
        return "MonitorCamera{" +
                "id=" + id +
                ", orgId='" + orgId + '\'' +
                ", name='" + name + '\'' +
                ", alias='" + alias + '\'' +
                ", username='" + username + '\'' +
                ", password='" + password + '\'' +
                ", ip='" + ip + '\'' +
                ", subnetmask='" + subnetmask + '\'' +
                ", gateway='" + gateway + '\'' +
                ", type='" + type + '\'' +
                ", port='" + port + '\'' +
                ", factory='" + factory + '\'' +
                ", live='" + live + '\'' +
                ", modelNumber='" + modelNumber + '\'' +
                ", serialNumber='" + serialNumber + '\'' +
                ", installationSite='" + installationSite + '\'' +
                ", installationMethod='" + installationMethod + '\'' +
                ", irradiatedArea='" + irradiatedArea + '\'' +
                ", powerPosition='" + powerPosition + '\'' +
                ", remark='" + remark + '\'' +
                ", cameraIndexCode='" + cameraIndexCode + '\'' +
                ", statusName='" + statusName + '\'' +
                ", status='" + status + '\'' +
                ", isremove='" + isremove + '\'' +
                ", updateTime=" + updateTime +
                ", storehouseId=" + storehouseId +
                '}';
    }

}