package com.chinaitop.depot.basic.model;

import java.io.Serializable;

public class MonitorPreset implements Serializable {
    private String nvrIp;

    private String cameraId;

    private String channelNumber;

    private String position;

    private String presetType;

    private String remark;

    private static final long serialVersionUID = 1L;

    public MonitorPreset(String nvrIp, String cameraId, String channelNumber, String position, String presetType, String remark) {
        this.nvrIp = nvrIp;
        this.cameraId = cameraId;
        this.channelNumber = channelNumber;
        this.position = position;
        this.presetType = presetType;
        this.remark = remark;
    }

    public MonitorPreset() {
        super();
    }

    public String getNvrIp() {
        return nvrIp;
    }

    public void setNvrIp(String nvrIp) {
        this.nvrIp = nvrIp == null ? null : nvrIp.trim();
    }

    public String getCameraId() {
        return cameraId;
    }

    public void setCameraId(String cameraId) {
        this.cameraId = cameraId == null ? null : cameraId.trim();
    }

    public String getChannelNumber() {
        return channelNumber;
    }

    public void setChannelNumber(String channelNumber) {
        this.channelNumber = channelNumber == null ? null : channelNumber.trim();
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position == null ? null : position.trim();
    }

    public String getPresetType() {
        return presetType;
    }

    public void setPresetType(String presetType) {
        this.presetType = presetType == null ? null : presetType.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        MonitorPreset other = (MonitorPreset) that;
        return (this.getNvrIp() == null ? other.getNvrIp() == null : this.getNvrIp().equals(other.getNvrIp()))
            && (this.getCameraId() == null ? other.getCameraId() == null : this.getCameraId().equals(other.getCameraId()))
            && (this.getChannelNumber() == null ? other.getChannelNumber() == null : this.getChannelNumber().equals(other.getChannelNumber()))
            && (this.getPosition() == null ? other.getPosition() == null : this.getPosition().equals(other.getPosition()))
            && (this.getPresetType() == null ? other.getPresetType() == null : this.getPresetType().equals(other.getPresetType()))
            && (this.getRemark() == null ? other.getRemark() == null : this.getRemark().equals(other.getRemark()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getNvrIp() == null) ? 0 : getNvrIp().hashCode());
        result = prime * result + ((getCameraId() == null) ? 0 : getCameraId().hashCode());
        result = prime * result + ((getChannelNumber() == null) ? 0 : getChannelNumber().hashCode());
        result = prime * result + ((getPosition() == null) ? 0 : getPosition().hashCode());
        result = prime * result + ((getPresetType() == null) ? 0 : getPresetType().hashCode());
        result = prime * result + ((getRemark() == null) ? 0 : getRemark().hashCode());
        return result;
    }
}