package com.chinaitop.depot.basic.model;

import java.util.ArrayList;
import java.util.List;

public class MonitorPresetExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public MonitorPresetExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andNvrIpIsNull() {
            addCriterion("nvr_ip is null");
            return (Criteria) this;
        }

        public Criteria andNvrIpIsNotNull() {
            addCriterion("nvr_ip is not null");
            return (Criteria) this;
        }

        public Criteria andNvrIpEqualTo(String value) {
            addCriterion("nvr_ip =", value, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andNvrIpNotEqualTo(String value) {
            addCriterion("nvr_ip <>", value, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andNvrIpGreaterThan(String value) {
            addCriterion("nvr_ip >", value, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andNvrIpGreaterThanOrEqualTo(String value) {
            addCriterion("nvr_ip >=", value, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andNvrIpLessThan(String value) {
            addCriterion("nvr_ip <", value, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andNvrIpLessThanOrEqualTo(String value) {
            addCriterion("nvr_ip <=", value, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andNvrIpLike(String value) {
            addCriterion("nvr_ip like", value, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andNvrIpNotLike(String value) {
            addCriterion("nvr_ip not like", value, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andNvrIpIn(List<String> values) {
            addCriterion("nvr_ip in", values, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andNvrIpNotIn(List<String> values) {
            addCriterion("nvr_ip not in", values, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andNvrIpBetween(String value1, String value2) {
            addCriterion("nvr_ip between", value1, value2, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andNvrIpNotBetween(String value1, String value2) {
            addCriterion("nvr_ip not between", value1, value2, "nvrIp");
            return (Criteria) this;
        }

        public Criteria andCameraIdIsNull() {
            addCriterion("camera_id is null");
            return (Criteria) this;
        }

        public Criteria andCameraIdIsNotNull() {
            addCriterion("camera_id is not null");
            return (Criteria) this;
        }

        public Criteria andCameraIdEqualTo(String value) {
            addCriterion("camera_id =", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdNotEqualTo(String value) {
            addCriterion("camera_id <>", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdGreaterThan(String value) {
            addCriterion("camera_id >", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdGreaterThanOrEqualTo(String value) {
            addCriterion("camera_id >=", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdLessThan(String value) {
            addCriterion("camera_id <", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdLessThanOrEqualTo(String value) {
            addCriterion("camera_id <=", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdLike(String value) {
            addCriterion("camera_id like", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdNotLike(String value) {
            addCriterion("camera_id not like", value, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdIn(List<String> values) {
            addCriterion("camera_id in", values, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdNotIn(List<String> values) {
            addCriterion("camera_id not in", values, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdBetween(String value1, String value2) {
            addCriterion("camera_id between", value1, value2, "cameraId");
            return (Criteria) this;
        }

        public Criteria andCameraIdNotBetween(String value1, String value2) {
            addCriterion("camera_id not between", value1, value2, "cameraId");
            return (Criteria) this;
        }

        public Criteria andChannelNumberIsNull() {
            addCriterion("channel_number is null");
            return (Criteria) this;
        }

        public Criteria andChannelNumberIsNotNull() {
            addCriterion("channel_number is not null");
            return (Criteria) this;
        }

        public Criteria andChannelNumberEqualTo(String value) {
            addCriterion("channel_number =", value, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andChannelNumberNotEqualTo(String value) {
            addCriterion("channel_number <>", value, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andChannelNumberGreaterThan(String value) {
            addCriterion("channel_number >", value, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andChannelNumberGreaterThanOrEqualTo(String value) {
            addCriterion("channel_number >=", value, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andChannelNumberLessThan(String value) {
            addCriterion("channel_number <", value, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andChannelNumberLessThanOrEqualTo(String value) {
            addCriterion("channel_number <=", value, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andChannelNumberLike(String value) {
            addCriterion("channel_number like", value, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andChannelNumberNotLike(String value) {
            addCriterion("channel_number not like", value, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andChannelNumberIn(List<String> values) {
            addCriterion("channel_number in", values, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andChannelNumberNotIn(List<String> values) {
            addCriterion("channel_number not in", values, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andChannelNumberBetween(String value1, String value2) {
            addCriterion("channel_number between", value1, value2, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andChannelNumberNotBetween(String value1, String value2) {
            addCriterion("channel_number not between", value1, value2, "channelNumber");
            return (Criteria) this;
        }

        public Criteria andPositionIsNull() {
            addCriterion("position is null");
            return (Criteria) this;
        }

        public Criteria andPositionIsNotNull() {
            addCriterion("position is not null");
            return (Criteria) this;
        }

        public Criteria andPositionEqualTo(String value) {
            addCriterion("position =", value, "position");
            return (Criteria) this;
        }

        public Criteria andPositionNotEqualTo(String value) {
            addCriterion("position <>", value, "position");
            return (Criteria) this;
        }

        public Criteria andPositionGreaterThan(String value) {
            addCriterion("position >", value, "position");
            return (Criteria) this;
        }

        public Criteria andPositionGreaterThanOrEqualTo(String value) {
            addCriterion("position >=", value, "position");
            return (Criteria) this;
        }

        public Criteria andPositionLessThan(String value) {
            addCriterion("position <", value, "position");
            return (Criteria) this;
        }

        public Criteria andPositionLessThanOrEqualTo(String value) {
            addCriterion("position <=", value, "position");
            return (Criteria) this;
        }

        public Criteria andPositionLike(String value) {
            addCriterion("position like", value, "position");
            return (Criteria) this;
        }

        public Criteria andPositionNotLike(String value) {
            addCriterion("position not like", value, "position");
            return (Criteria) this;
        }

        public Criteria andPositionIn(List<String> values) {
            addCriterion("position in", values, "position");
            return (Criteria) this;
        }

        public Criteria andPositionNotIn(List<String> values) {
            addCriterion("position not in", values, "position");
            return (Criteria) this;
        }

        public Criteria andPositionBetween(String value1, String value2) {
            addCriterion("position between", value1, value2, "position");
            return (Criteria) this;
        }

        public Criteria andPositionNotBetween(String value1, String value2) {
            addCriterion("position not between", value1, value2, "position");
            return (Criteria) this;
        }

        public Criteria andPresetTypeIsNull() {
            addCriterion("preset_type is null");
            return (Criteria) this;
        }

        public Criteria andPresetTypeIsNotNull() {
            addCriterion("preset_type is not null");
            return (Criteria) this;
        }

        public Criteria andPresetTypeEqualTo(String value) {
            addCriterion("preset_type =", value, "presetType");
            return (Criteria) this;
        }

        public Criteria andPresetTypeNotEqualTo(String value) {
            addCriterion("preset_type <>", value, "presetType");
            return (Criteria) this;
        }

        public Criteria andPresetTypeGreaterThan(String value) {
            addCriterion("preset_type >", value, "presetType");
            return (Criteria) this;
        }

        public Criteria andPresetTypeGreaterThanOrEqualTo(String value) {
            addCriterion("preset_type >=", value, "presetType");
            return (Criteria) this;
        }

        public Criteria andPresetTypeLessThan(String value) {
            addCriterion("preset_type <", value, "presetType");
            return (Criteria) this;
        }

        public Criteria andPresetTypeLessThanOrEqualTo(String value) {
            addCriterion("preset_type <=", value, "presetType");
            return (Criteria) this;
        }

        public Criteria andPresetTypeLike(String value) {
            addCriterion("preset_type like", value, "presetType");
            return (Criteria) this;
        }

        public Criteria andPresetTypeNotLike(String value) {
            addCriterion("preset_type not like", value, "presetType");
            return (Criteria) this;
        }

        public Criteria andPresetTypeIn(List<String> values) {
            addCriterion("preset_type in", values, "presetType");
            return (Criteria) this;
        }

        public Criteria andPresetTypeNotIn(List<String> values) {
            addCriterion("preset_type not in", values, "presetType");
            return (Criteria) this;
        }

        public Criteria andPresetTypeBetween(String value1, String value2) {
            addCriterion("preset_type between", value1, value2, "presetType");
            return (Criteria) this;
        }

        public Criteria andPresetTypeNotBetween(String value1, String value2) {
            addCriterion("preset_type not between", value1, value2, "presetType");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andNvrIpLikeInsensitive(String value) {
            addCriterion("upper(nvr_ip) like", value.toUpperCase(), "nvrIp");
            return (Criteria) this;
        }

        public Criteria andCameraIdLikeInsensitive(String value) {
            addCriterion("upper(camera_id) like", value.toUpperCase(), "cameraId");
            return (Criteria) this;
        }

        public Criteria andChannelNumberLikeInsensitive(String value) {
            addCriterion("upper(channel_number) like", value.toUpperCase(), "channelNumber");
            return (Criteria) this;
        }

        public Criteria andPositionLikeInsensitive(String value) {
            addCriterion("upper(position) like", value.toUpperCase(), "position");
            return (Criteria) this;
        }

        public Criteria andPresetTypeLikeInsensitive(String value) {
            addCriterion("upper(preset_type) like", value.toUpperCase(), "presetType");
            return (Criteria) this;
        }

        public Criteria andRemarkLikeInsensitive(String value) {
            addCriterion("upper(remark) like", value.toUpperCase(), "remark");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}