package com.chinaitop.depot.basic.service.impl;


import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.chinaitop.depot.basic.mapper.CameraStorehouseMapper;
import com.chinaitop.depot.basic.model.CameraStorehouse;
import com.chinaitop.depot.basic.model.CameraStorehouseExample;
import com.chinaitop.depot.basic.model.MonitorCamera;
import com.chinaitop.depot.basic.service.CameraStorehouseService;

@Service
public class CameraStorehouseServiceImpl implements CameraStorehouseService {

    @Resource
    private CameraStorehouseMapper cameraStorehouseMapper;

    @Override
    public void add(MonitorCamera monitorCamera) {
    	CameraStorehouse cameraStorehouse = new CameraStorehouse();
    	cameraStorehouse.setCameraId(monitorCamera.getId());
    	cameraStorehouse.setOrgId(Integer.parseInt(monitorCamera.getOrgId()));
    	cameraStorehouse.setStorehouseId(Integer.parseInt(monitorCamera.getStorehouseId()));
    	cameraStorehouseMapper.insert(cameraStorehouse);
    }

    @Override
    public void deleteById(Integer id) {
    	CameraStorehouseExample example = new CameraStorehouseExample();
    	CameraStorehouseExample.Criteria criteria = example.createCriteria();
        criteria.andCameraIdEqualTo(id);
        cameraStorehouseMapper.deleteByExample(example);
    }


}
