package com.chinaitop.depot.basic.service.impl;

import com.chinaitop.depot.basic.mapper.MonitorPresetMapper;
import com.chinaitop.depot.basic.model.MonitorPreset;
import com.chinaitop.depot.basic.model.MonitorPresetExample;
import com.chinaitop.depot.basic.service.MonitorPresetService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class MonitorPresetServiceImpl implements MonitorPresetService {

    @Resource
    private MonitorPresetMapper presetMapper;

    @Override
    public List<MonitorPreset> queryByExample(MonitorPresetExample example) {
        return presetMapper.selectByExample(example);
    }

    @Override
    public void removePreset(MonitorPresetExample example) {
        presetMapper.deleteByExample(example);
    }

    @Override
    public void addPreset(MonitorPreset preset) {
        presetMapper.insert(preset);
    }

}

