package com.chinaitop.depot.hk.dto.req;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 查询预置点信息
 *
 * @author ybw
 * @version V1.0
 * @className SearchPresetsReqDTO
 * @date 2024/8/2
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PresetsSearchReqDTO {
    /**
     * 监控点唯一标识集，
     * 可通过分页获取监控点资源获取
     *
     * @author: ybw
     * @date: 2024/8/2
     **/
    private String cameraIndexCode;
}
