package com.chinaitop.depot.monitor.controller;


import com.chinaitop.depot.monitor.service.MonitorService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
@RequestMapping(value = "/MonitorInfo")
@Api(tags = "摄像头")
public class MonitorController {

    @Resource
    private MonitorService monitorService;



    @PostMapping(value = "/updateMonitorStatus")
    @ApiOperation(value = "定时更行", notes = "定时更行摄像头信息")
    public void updateMonitorStatus(){
        monitorService.updateMonitorStatus();
    }

}
