package com.chinaitop.depot.monitor.mapper;

import com.chinaitop.depot.monitor.model.DiagPlan;
import com.chinaitop.depot.monitor.model.DiagPlanExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface DiagPlanMapper {
    long countByExample(DiagPlanExample example);

    int deleteByExample(DiagPlanExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(DiagPlan record);

    int insertSelective(DiagPlan record);

    List<DiagPlan> selectByExample(DiagPlanExample example);

    DiagPlan selectByPrimaryKey(Integer id);

    DiagPlan selectPlanByQuartzid(String id);

    int updateByExampleSelective(@Param("record") DiagPlan record, @Param("example") DiagPlanExample example);

    int updateByExample(@Param("record") DiagPlan record, @Param("example") DiagPlanExample example);

    int updateByPrimaryKeySelective(DiagPlan record);

    int updateByPrimaryKey(DiagPlan record);
}