package com.chinaitop.depot.monitor.mapper;

import com.chinaitop.depot.monitor.model.Group;
import com.chinaitop.depot.monitor.model.GroupExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Repository
public interface GroupMapper {
    long countByExample(GroupExample example);

    int deleteByExample(GroupExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(Group record);

    int insertSelective(Group record);

    List<Group> selectByExample(GroupExample example);

    Group selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") Group record, @Param("example") GroupExample example);

    int updateByExample(@Param("record") Group record, @Param("example") GroupExample example);

    int updateByPrimaryKeySelective(Group record);

    int updateByPrimaryKey(Group record);

    List<Map<String,Object>> queryCameraForGroup(Map<String, Object> map);

    //按分组id删除分组和摄像头的关系表
    int deleteGroupCameraByPrimaryKey(Integer id);

    int deleteGroupCamera(Map<String, Object> map);

    int insertGroupCamera(Map<String, Object> map);

    Map<String,Object> getGroupIdLast(Map<String, Object> map);

}