package com.chinaitop.depot.monitor.model;

import java.util.Date;

public class CameraCapture {
    private Integer id;

    private String createname;

    private Date createdate;

    private String updatename;

    private Date updatedate;

    private String orgId;

    private Integer storehouseId;

    private Integer warehouseId;

    private Integer cameraId;

    private Date zpsj;

    private String cntxwjl;

    private String txwjhzm;

    /**
     * 主键ID
     * @return id 主键ID
     */
    public Integer getId() {
        return id;
    }

    /**
     * 主键ID
     * @param id 主键ID
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 创建人
     * @return createname 创建人
     */
    public String getCreatename() {
        return createname;
    }

    /**
     * 创建人
     * @param createname 创建人
     */
    public void setCreatename(String createname) {
        this.createname = createname == null ? null : createname.trim();
    }

    /**
     * 创建日期
     * @return createdate 创建日期
     */
    public Date getCreatedate() {
        return createdate;
    }

    /**
     * 创建日期
     * @param createdate 创建日期
     */
    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    /**
     * 更新人
     * @return updatename 更新人
     */
    public String getUpdatename() {
        return updatename;
    }

    /**
     * 更新人
     * @param updatename 更新人
     */
    public void setUpdatename(String updatename) {
        this.updatename = updatename == null ? null : updatename.trim();
    }

    /**
     * 更新日期
     * @return updatedate 更新日期
     */
    public Date getUpdatedate() {
        return updatedate;
    }

    /**
     * 更新日期
     * @param updatedate 更新日期
     */
    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    /**
     * 组织机构代码
     * @return org_id 组织机构代码
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织机构代码
     * @param orgId 组织机构代码
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * basic_storehouse的id；仓房id；
     * @return storehouse_id basic_storehouse的id；仓房id；
     */
    public Integer getStorehouseId() {
        return storehouseId;
    }

    /**
     * basic_storehouse的id；仓房id；
     * @param storehouseId basic_storehouse的id；仓房id；
     */
    public void setStorehouseId(Integer storehouseId) {
        this.storehouseId = storehouseId;
    }

    /**
     * basic_warehouse的id；货位id;
     * @return warehouse_id basic_warehouse的id；货位id;
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * basic_warehouse的id；货位id;
     * @param warehouseId basic_warehouse的id；货位id;
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 摄像头id；monitor_camera的id；
     * @return camera_id 摄像头id；monitor_camera的id；
     */
    public Integer getCameraId() {
        return cameraId;
    }

    /**
     * 摄像头id；monitor_camera的id；
     * @param cameraId 摄像头id；monitor_camera的id；
     */
    public void setCameraId(Integer cameraId) {
        this.cameraId = cameraId;
    }

    /**
     * 图片采集时间
     * @return zpsj 图片采集时间
     */
    public Date getZpsj() {
        return zpsj;
    }

    /**
     * 图片采集时间
     * @param zpsj 图片采集时间
     */
    public void setZpsj(Date zpsj) {
        this.zpsj = zpsj;
    }

    /**
     * 仓内图像地址
     * @return cntxwjl 仓内图像地址
     */
    public String getCntxwjl() {
        return cntxwjl;
    }

    /**
     * 仓内图像地址
     * @param cntxwjl 仓内图像地址
     */
    public void setCntxwjl(String cntxwjl) {
        this.cntxwjl = cntxwjl == null ? null : cntxwjl.trim();
    }

    /**
     * 图像文件后缀名
     * @return txwjhzm 图像文件后缀名
     */
    public String getTxwjhzm() {
        return txwjhzm;
    }

    /**
     * 图像文件后缀名
     * @param txwjhzm 图像文件后缀名
     */
    public void setTxwjhzm(String txwjhzm) {
        this.txwjhzm = txwjhzm == null ? null : txwjhzm.trim();
    }
}