package com.chinaitop.depot.monitor.model;

import java.io.Serializable;

public class DiagKind implements Serializable {
    private Integer id;

    private String kind;

    private String code;

    private Integer defaultScore;

    private Integer newScore;

    private static final long serialVersionUID = 1L;

    public DiagKind(Integer id, String kind, String code, Integer defaultScore, Integer newScore) {
        this.id = id;
        this.kind = kind;
        this.code = code;
        this.defaultScore = defaultScore;
        this.newScore = newScore;
    }

    public DiagKind() {
        super();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getKind() {
        return kind;
    }

    public void setKind(String kind) {
        this.kind = kind == null ? null : kind.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public Integer getDefaultScore() {
        return defaultScore;
    }

    public void setDefaultScore(Integer defaultScore) {
        this.defaultScore = defaultScore;
    }

    public Integer getNewScore() {
        return newScore;
    }

    public void setNewScore(Integer newScore) {
        this.newScore = newScore;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        DiagKind other = (DiagKind) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getKind() == null ? other.getKind() == null : this.getKind().equals(other.getKind()))
            && (this.getCode() == null ? other.getCode() == null : this.getCode().equals(other.getCode()))
            && (this.getDefaultScore() == null ? other.getDefaultScore() == null : this.getDefaultScore().equals(other.getDefaultScore()))
            && (this.getNewScore() == null ? other.getNewScore() == null : this.getNewScore().equals(other.getNewScore()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getKind() == null) ? 0 : getKind().hashCode());
        result = prime * result + ((getCode() == null) ? 0 : getCode().hashCode());
        result = prime * result + ((getDefaultScore() == null) ? 0 : getDefaultScore().hashCode());
        result = prime * result + ((getNewScore() == null) ? 0 : getNewScore().hashCode());
        return result;
    }
}