package com.chinaitop.depot.monitor.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class DiagPlanExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public DiagPlanExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andQuartzidIsNull() {
            addCriterion("quartzid is null");
            return (Criteria) this;
        }

        public Criteria andQuartzidIsNotNull() {
            addCriterion("quartzid is not null");
            return (Criteria) this;
        }

        public Criteria andQuartzidEqualTo(String value) {
            addCriterion("quartzid =", value, "quartzid");
            return (Criteria) this;
        }

        public Criteria andQuartzidNotEqualTo(String value) {
            addCriterion("quartzid <>", value, "quartzid");
            return (Criteria) this;
        }

        public Criteria andQuartzidGreaterThan(String value) {
            addCriterion("quartzid >", value, "quartzid");
            return (Criteria) this;
        }

        public Criteria andQuartzidGreaterThanOrEqualTo(String value) {
            addCriterion("quartzid >=", value, "quartzid");
            return (Criteria) this;
        }

        public Criteria andQuartzidLessThan(String value) {
            addCriterion("quartzid <", value, "quartzid");
            return (Criteria) this;
        }

        public Criteria andQuartzidLessThanOrEqualTo(String value) {
            addCriterion("quartzid <=", value, "quartzid");
            return (Criteria) this;
        }

        public Criteria andQuartzidLike(String value) {
            addCriterion("quartzid like", value, "quartzid");
            return (Criteria) this;
        }

        public Criteria andQuartzidNotLike(String value) {
            addCriterion("quartzid not like", value, "quartzid");
            return (Criteria) this;
        }

        public Criteria andQuartzidIn(List<String> values) {
            addCriterion("quartzid in", values, "quartzid");
            return (Criteria) this;
        }

        public Criteria andQuartzidNotIn(List<String> values) {
            addCriterion("quartzid not in", values, "quartzid");
            return (Criteria) this;
        }

        public Criteria andQuartzidBetween(String value1, String value2) {
            addCriterion("quartzid between", value1, value2, "quartzid");
            return (Criteria) this;
        }

        public Criteria andQuartzidNotBetween(String value1, String value2) {
            addCriterion("quartzid not between", value1, value2, "quartzid");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(Integer value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(Integer value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(Integer value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(Integer value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(Integer value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<Integer> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<Integer> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(Integer value1, Integer value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(Integer value1, Integer value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andGroupIdIsNull() {
            addCriterion("group_id is null");
            return (Criteria) this;
        }

        public Criteria andGroupIdIsNotNull() {
            addCriterion("group_id is not null");
            return (Criteria) this;
        }

        public Criteria andGroupIdEqualTo(String value) {
            addCriterion("group_id =", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotEqualTo(String value) {
            addCriterion("group_id <>", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdGreaterThan(String value) {
            addCriterion("group_id >", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdGreaterThanOrEqualTo(String value) {
            addCriterion("group_id >=", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLessThan(String value) {
            addCriterion("group_id <", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLessThanOrEqualTo(String value) {
            addCriterion("group_id <=", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdLike(String value) {
            addCriterion("group_id like", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotLike(String value) {
            addCriterion("group_id not like", value, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdIn(List<String> values) {
            addCriterion("group_id in", values, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotIn(List<String> values) {
            addCriterion("group_id not in", values, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdBetween(String value1, String value2) {
            addCriterion("group_id between", value1, value2, "groupId");
            return (Criteria) this;
        }

        public Criteria andGroupIdNotBetween(String value1, String value2) {
            addCriterion("group_id not between", value1, value2, "groupId");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andPlandateIsNull() {
            addCriterion("plandate is null");
            return (Criteria) this;
        }

        public Criteria andPlandateIsNotNull() {
            addCriterion("plandate is not null");
            return (Criteria) this;
        }

        public Criteria andPlandateEqualTo(String value) {
            addCriterion("plandate =", value, "plandate");
            return (Criteria) this;
        }

        public Criteria andPlandateNotEqualTo(String value) {
            addCriterion("plandate <>", value, "plandate");
            return (Criteria) this;
        }

        public Criteria andPlandateGreaterThan(String value) {
            addCriterion("plandate >", value, "plandate");
            return (Criteria) this;
        }

        public Criteria andPlandateGreaterThanOrEqualTo(String value) {
            addCriterion("plandate >=", value, "plandate");
            return (Criteria) this;
        }

        public Criteria andPlandateLessThan(String value) {
            addCriterion("plandate <", value, "plandate");
            return (Criteria) this;
        }

        public Criteria andPlandateLessThanOrEqualTo(String value) {
            addCriterion("plandate <=", value, "plandate");
            return (Criteria) this;
        }

        public Criteria andPlandateLike(String value) {
            addCriterion("plandate like", value, "plandate");
            return (Criteria) this;
        }

        public Criteria andPlandateNotLike(String value) {
            addCriterion("plandate not like", value, "plandate");
            return (Criteria) this;
        }

        public Criteria andPlandateIn(List<String> values) {
            addCriterion("plandate in", values, "plandate");
            return (Criteria) this;
        }

        public Criteria andPlandateNotIn(List<String> values) {
            addCriterion("plandate not in", values, "plandate");
            return (Criteria) this;
        }

        public Criteria andPlandateBetween(String value1, String value2) {
            addCriterion("plandate between", value1, value2, "plandate");
            return (Criteria) this;
        }

        public Criteria andPlandateNotBetween(String value1, String value2) {
            addCriterion("plandate not between", value1, value2, "plandate");
            return (Criteria) this;
        }

        public Criteria andDetailtextIsNull() {
            addCriterion("detailtext is null");
            return (Criteria) this;
        }

        public Criteria andDetailtextIsNotNull() {
            addCriterion("detailtext is not null");
            return (Criteria) this;
        }

        public Criteria andDetailtextEqualTo(String value) {
            addCriterion("detailtext =", value, "detailtext");
            return (Criteria) this;
        }

        public Criteria andDetailtextNotEqualTo(String value) {
            addCriterion("detailtext <>", value, "detailtext");
            return (Criteria) this;
        }

        public Criteria andDetailtextGreaterThan(String value) {
            addCriterion("detailtext >", value, "detailtext");
            return (Criteria) this;
        }

        public Criteria andDetailtextGreaterThanOrEqualTo(String value) {
            addCriterion("detailtext >=", value, "detailtext");
            return (Criteria) this;
        }

        public Criteria andDetailtextLessThan(String value) {
            addCriterion("detailtext <", value, "detailtext");
            return (Criteria) this;
        }

        public Criteria andDetailtextLessThanOrEqualTo(String value) {
            addCriterion("detailtext <=", value, "detailtext");
            return (Criteria) this;
        }

        public Criteria andDetailtextLike(String value) {
            addCriterion("detailtext like", value, "detailtext");
            return (Criteria) this;
        }

        public Criteria andDetailtextNotLike(String value) {
            addCriterion("detailtext not like", value, "detailtext");
            return (Criteria) this;
        }

        public Criteria andDetailtextIn(List<String> values) {
            addCriterion("detailtext in", values, "detailtext");
            return (Criteria) this;
        }

        public Criteria andDetailtextNotIn(List<String> values) {
            addCriterion("detailtext not in", values, "detailtext");
            return (Criteria) this;
        }

        public Criteria andDetailtextBetween(String value1, String value2) {
            addCriterion("detailtext between", value1, value2, "detailtext");
            return (Criteria) this;
        }

        public Criteria andDetailtextNotBetween(String value1, String value2) {
            addCriterion("detailtext not between", value1, value2, "detailtext");
            return (Criteria) this;
        }

        public Criteria andQuartztimeIsNull() {
            addCriterion("quartztime is null");
            return (Criteria) this;
        }

        public Criteria andQuartztimeIsNotNull() {
            addCriterion("quartztime is not null");
            return (Criteria) this;
        }

        public Criteria andQuartztimeEqualTo(String value) {
            addCriterion("quartztime =", value, "quartztime");
            return (Criteria) this;
        }

        public Criteria andQuartztimeNotEqualTo(String value) {
            addCriterion("quartztime <>", value, "quartztime");
            return (Criteria) this;
        }

        public Criteria andQuartztimeGreaterThan(String value) {
            addCriterion("quartztime >", value, "quartztime");
            return (Criteria) this;
        }

        public Criteria andQuartztimeGreaterThanOrEqualTo(String value) {
            addCriterion("quartztime >=", value, "quartztime");
            return (Criteria) this;
        }

        public Criteria andQuartztimeLessThan(String value) {
            addCriterion("quartztime <", value, "quartztime");
            return (Criteria) this;
        }

        public Criteria andQuartztimeLessThanOrEqualTo(String value) {
            addCriterion("quartztime <=", value, "quartztime");
            return (Criteria) this;
        }

        public Criteria andQuartztimeLike(String value) {
            addCriterion("quartztime like", value, "quartztime");
            return (Criteria) this;
        }

        public Criteria andQuartztimeNotLike(String value) {
            addCriterion("quartztime not like", value, "quartztime");
            return (Criteria) this;
        }

        public Criteria andQuartztimeIn(List<String> values) {
            addCriterion("quartztime in", values, "quartztime");
            return (Criteria) this;
        }

        public Criteria andQuartztimeNotIn(List<String> values) {
            addCriterion("quartztime not in", values, "quartztime");
            return (Criteria) this;
        }

        public Criteria andQuartztimeBetween(String value1, String value2) {
            addCriterion("quartztime between", value1, value2, "quartztime");
            return (Criteria) this;
        }

        public Criteria andQuartztimeNotBetween(String value1, String value2) {
            addCriterion("quartztime not between", value1, value2, "quartztime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeIsNull() {
            addCriterion("detailtime is null");
            return (Criteria) this;
        }

        public Criteria andDetailtimeIsNotNull() {
            addCriterion("detailtime is not null");
            return (Criteria) this;
        }

        public Criteria andDetailtimeEqualTo(String value) {
            addCriterion("detailtime =", value, "detailtime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeNotEqualTo(String value) {
            addCriterion("detailtime <>", value, "detailtime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeGreaterThan(String value) {
            addCriterion("detailtime >", value, "detailtime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeGreaterThanOrEqualTo(String value) {
            addCriterion("detailtime >=", value, "detailtime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeLessThan(String value) {
            addCriterion("detailtime <", value, "detailtime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeLessThanOrEqualTo(String value) {
            addCriterion("detailtime <=", value, "detailtime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeLike(String value) {
            addCriterion("detailtime like", value, "detailtime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeNotLike(String value) {
            addCriterion("detailtime not like", value, "detailtime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeIn(List<String> values) {
            addCriterion("detailtime in", values, "detailtime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeNotIn(List<String> values) {
            addCriterion("detailtime not in", values, "detailtime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeBetween(String value1, String value2) {
            addCriterion("detailtime between", value1, value2, "detailtime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeNotBetween(String value1, String value2) {
            addCriterion("detailtime not between", value1, value2, "detailtime");
            return (Criteria) this;
        }

        public Criteria andIsrepeatIsNull() {
            addCriterion("isrepeat is null");
            return (Criteria) this;
        }

        public Criteria andIsrepeatIsNotNull() {
            addCriterion("isrepeat is not null");
            return (Criteria) this;
        }

        public Criteria andIsrepeatEqualTo(String value) {
            addCriterion("isrepeat =", value, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andIsrepeatNotEqualTo(String value) {
            addCriterion("isrepeat <>", value, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andIsrepeatGreaterThan(String value) {
            addCriterion("isrepeat >", value, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andIsrepeatGreaterThanOrEqualTo(String value) {
            addCriterion("isrepeat >=", value, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andIsrepeatLessThan(String value) {
            addCriterion("isrepeat <", value, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andIsrepeatLessThanOrEqualTo(String value) {
            addCriterion("isrepeat <=", value, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andIsrepeatLike(String value) {
            addCriterion("isrepeat like", value, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andIsrepeatNotLike(String value) {
            addCriterion("isrepeat not like", value, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andIsrepeatIn(List<String> values) {
            addCriterion("isrepeat in", values, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andIsrepeatNotIn(List<String> values) {
            addCriterion("isrepeat not in", values, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andIsrepeatBetween(String value1, String value2) {
            addCriterion("isrepeat between", value1, value2, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andIsrepeatNotBetween(String value1, String value2) {
            addCriterion("isrepeat not between", value1, value2, "isrepeat");
            return (Criteria) this;
        }

        public Criteria andPlantimeIsNull() {
            addCriterion("plantime is null");
            return (Criteria) this;
        }

        public Criteria andPlantimeIsNotNull() {
            addCriterion("plantime is not null");
            return (Criteria) this;
        }

        public Criteria andPlantimeEqualTo(String value) {
            addCriterion("plantime =", value, "plantime");
            return (Criteria) this;
        }

        public Criteria andPlantimeNotEqualTo(String value) {
            addCriterion("plantime <>", value, "plantime");
            return (Criteria) this;
        }

        public Criteria andPlantimeGreaterThan(String value) {
            addCriterion("plantime >", value, "plantime");
            return (Criteria) this;
        }

        public Criteria andPlantimeGreaterThanOrEqualTo(String value) {
            addCriterion("plantime >=", value, "plantime");
            return (Criteria) this;
        }

        public Criteria andPlantimeLessThan(String value) {
            addCriterion("plantime <", value, "plantime");
            return (Criteria) this;
        }

        public Criteria andPlantimeLessThanOrEqualTo(String value) {
            addCriterion("plantime <=", value, "plantime");
            return (Criteria) this;
        }

        public Criteria andPlantimeLike(String value) {
            addCriterion("plantime like", value, "plantime");
            return (Criteria) this;
        }

        public Criteria andPlantimeNotLike(String value) {
            addCriterion("plantime not like", value, "plantime");
            return (Criteria) this;
        }

        public Criteria andPlantimeIn(List<String> values) {
            addCriterion("plantime in", values, "plantime");
            return (Criteria) this;
        }

        public Criteria andPlantimeNotIn(List<String> values) {
            addCriterion("plantime not in", values, "plantime");
            return (Criteria) this;
        }

        public Criteria andPlantimeBetween(String value1, String value2) {
            addCriterion("plantime between", value1, value2, "plantime");
            return (Criteria) this;
        }

        public Criteria andPlantimeNotBetween(String value1, String value2) {
            addCriterion("plantime not between", value1, value2, "plantime");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("create_man is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("create_man is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("create_man =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("create_man <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("create_man >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("create_man >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("create_man <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("create_man <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("create_man like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("create_man not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("create_man in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("create_man not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("create_man between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("create_man not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateOrgIsNull() {
            addCriterion("create_org is null");
            return (Criteria) this;
        }

        public Criteria andCreateOrgIsNotNull() {
            addCriterion("create_org is not null");
            return (Criteria) this;
        }

        public Criteria andCreateOrgEqualTo(String value) {
            addCriterion("create_org =", value, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateOrgNotEqualTo(String value) {
            addCriterion("create_org <>", value, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateOrgGreaterThan(String value) {
            addCriterion("create_org >", value, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateOrgGreaterThanOrEqualTo(String value) {
            addCriterion("create_org >=", value, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateOrgLessThan(String value) {
            addCriterion("create_org <", value, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateOrgLessThanOrEqualTo(String value) {
            addCriterion("create_org <=", value, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateOrgLike(String value) {
            addCriterion("create_org like", value, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateOrgNotLike(String value) {
            addCriterion("create_org not like", value, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateOrgIn(List<String> values) {
            addCriterion("create_org in", values, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateOrgNotIn(List<String> values) {
            addCriterion("create_org not in", values, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateOrgBetween(String value1, String value2) {
            addCriterion("create_org between", value1, value2, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateOrgNotBetween(String value1, String value2) {
            addCriterion("create_org not between", value1, value2, "createOrg");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andTypeIsNull() {
            addCriterion("type is null");
            return (Criteria) this;
        }

        public Criteria andTypeIsNotNull() {
            addCriterion("type is not null");
            return (Criteria) this;
        }

        public Criteria andTypeEqualTo(String value) {
            addCriterion("type =", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotEqualTo(String value) {
            addCriterion("type <>", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThan(String value) {
            addCriterion("type >", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeGreaterThanOrEqualTo(String value) {
            addCriterion("type >=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThan(String value) {
            addCriterion("type <", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLessThanOrEqualTo(String value) {
            addCriterion("type <=", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeLike(String value) {
            addCriterion("type like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotLike(String value) {
            addCriterion("type not like", value, "type");
            return (Criteria) this;
        }

        public Criteria andTypeIn(List<String> values) {
            addCriterion("type in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotIn(List<String> values) {
            addCriterion("type not in", values, "type");
            return (Criteria) this;
        }

        public Criteria andTypeBetween(String value1, String value2) {
            addCriterion("type between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andTypeNotBetween(String value1, String value2) {
            addCriterion("type not between", value1, value2, "type");
            return (Criteria) this;
        }

        public Criteria andSignalsIsNull() {
            addCriterion("signals is null");
            return (Criteria) this;
        }

        public Criteria andSignalsIsNotNull() {
            addCriterion("signals is not null");
            return (Criteria) this;
        }

        public Criteria andSignalsEqualTo(Integer value) {
            addCriterion("signals =", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsNotEqualTo(Integer value) {
            addCriterion("signals <>", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsGreaterThan(Integer value) {
            addCriterion("signals >", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsGreaterThanOrEqualTo(Integer value) {
            addCriterion("signals >=", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsLessThan(Integer value) {
            addCriterion("signals <", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsLessThanOrEqualTo(Integer value) {
            addCriterion("signals <=", value, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsIn(List<Integer> values) {
            addCriterion("signals in", values, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsNotIn(List<Integer> values) {
            addCriterion("signals not in", values, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsBetween(Integer value1, Integer value2) {
            addCriterion("signals between", value1, value2, "signals");
            return (Criteria) this;
        }

        public Criteria andSignalsNotBetween(Integer value1, Integer value2) {
            addCriterion("signals not between", value1, value2, "signals");
            return (Criteria) this;
        }

        public Criteria andBlurIsNull() {
            addCriterion("blur is null");
            return (Criteria) this;
        }

        public Criteria andBlurIsNotNull() {
            addCriterion("blur is not null");
            return (Criteria) this;
        }

        public Criteria andBlurEqualTo(Integer value) {
            addCriterion("blur =", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurNotEqualTo(Integer value) {
            addCriterion("blur <>", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurGreaterThan(Integer value) {
            addCriterion("blur >", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurGreaterThanOrEqualTo(Integer value) {
            addCriterion("blur >=", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurLessThan(Integer value) {
            addCriterion("blur <", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurLessThanOrEqualTo(Integer value) {
            addCriterion("blur <=", value, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurIn(List<Integer> values) {
            addCriterion("blur in", values, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurNotIn(List<Integer> values) {
            addCriterion("blur not in", values, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurBetween(Integer value1, Integer value2) {
            addCriterion("blur between", value1, value2, "blur");
            return (Criteria) this;
        }

        public Criteria andBlurNotBetween(Integer value1, Integer value2) {
            addCriterion("blur not between", value1, value2, "blur");
            return (Criteria) this;
        }

        public Criteria andDarkIsNull() {
            addCriterion("dark is null");
            return (Criteria) this;
        }

        public Criteria andDarkIsNotNull() {
            addCriterion("dark is not null");
            return (Criteria) this;
        }

        public Criteria andDarkEqualTo(Integer value) {
            addCriterion("dark =", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkNotEqualTo(Integer value) {
            addCriterion("dark <>", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkGreaterThan(Integer value) {
            addCriterion("dark >", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkGreaterThanOrEqualTo(Integer value) {
            addCriterion("dark >=", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkLessThan(Integer value) {
            addCriterion("dark <", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkLessThanOrEqualTo(Integer value) {
            addCriterion("dark <=", value, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkIn(List<Integer> values) {
            addCriterion("dark in", values, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkNotIn(List<Integer> values) {
            addCriterion("dark not in", values, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkBetween(Integer value1, Integer value2) {
            addCriterion("dark between", value1, value2, "dark");
            return (Criteria) this;
        }

        public Criteria andDarkNotBetween(Integer value1, Integer value2) {
            addCriterion("dark not between", value1, value2, "dark");
            return (Criteria) this;
        }

        public Criteria andChromaIsNull() {
            addCriterion("chroma is null");
            return (Criteria) this;
        }

        public Criteria andChromaIsNotNull() {
            addCriterion("chroma is not null");
            return (Criteria) this;
        }

        public Criteria andChromaEqualTo(Integer value) {
            addCriterion("chroma =", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaNotEqualTo(Integer value) {
            addCriterion("chroma <>", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaGreaterThan(Integer value) {
            addCriterion("chroma >", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaGreaterThanOrEqualTo(Integer value) {
            addCriterion("chroma >=", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaLessThan(Integer value) {
            addCriterion("chroma <", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaLessThanOrEqualTo(Integer value) {
            addCriterion("chroma <=", value, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaIn(List<Integer> values) {
            addCriterion("chroma in", values, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaNotIn(List<Integer> values) {
            addCriterion("chroma not in", values, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaBetween(Integer value1, Integer value2) {
            addCriterion("chroma between", value1, value2, "chroma");
            return (Criteria) this;
        }

        public Criteria andChromaNotBetween(Integer value1, Integer value2) {
            addCriterion("chroma not between", value1, value2, "chroma");
            return (Criteria) this;
        }

        public Criteria andFreezeIsNull() {
            addCriterion("freeze is null");
            return (Criteria) this;
        }

        public Criteria andFreezeIsNotNull() {
            addCriterion("freeze is not null");
            return (Criteria) this;
        }

        public Criteria andFreezeEqualTo(Integer value) {
            addCriterion("freeze =", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeNotEqualTo(Integer value) {
            addCriterion("freeze <>", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeGreaterThan(Integer value) {
            addCriterion("freeze >", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeGreaterThanOrEqualTo(Integer value) {
            addCriterion("freeze >=", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeLessThan(Integer value) {
            addCriterion("freeze <", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeLessThanOrEqualTo(Integer value) {
            addCriterion("freeze <=", value, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeIn(List<Integer> values) {
            addCriterion("freeze in", values, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeNotIn(List<Integer> values) {
            addCriterion("freeze not in", values, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeBetween(Integer value1, Integer value2) {
            addCriterion("freeze between", value1, value2, "freeze");
            return (Criteria) this;
        }

        public Criteria andFreezeNotBetween(Integer value1, Integer value2) {
            addCriterion("freeze not between", value1, value2, "freeze");
            return (Criteria) this;
        }

        public Criteria andBrightIsNull() {
            addCriterion("bright is null");
            return (Criteria) this;
        }

        public Criteria andBrightIsNotNull() {
            addCriterion("bright is not null");
            return (Criteria) this;
        }

        public Criteria andBrightEqualTo(Integer value) {
            addCriterion("bright =", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightNotEqualTo(Integer value) {
            addCriterion("bright <>", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightGreaterThan(Integer value) {
            addCriterion("bright >", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightGreaterThanOrEqualTo(Integer value) {
            addCriterion("bright >=", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightLessThan(Integer value) {
            addCriterion("bright <", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightLessThanOrEqualTo(Integer value) {
            addCriterion("bright <=", value, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightIn(List<Integer> values) {
            addCriterion("bright in", values, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightNotIn(List<Integer> values) {
            addCriterion("bright not in", values, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightBetween(Integer value1, Integer value2) {
            addCriterion("bright between", value1, value2, "bright");
            return (Criteria) this;
        }

        public Criteria andBrightNotBetween(Integer value1, Integer value2) {
            addCriterion("bright not between", value1, value2, "bright");
            return (Criteria) this;
        }

        public Criteria andMonoIsNull() {
            addCriterion("mono is null");
            return (Criteria) this;
        }

        public Criteria andMonoIsNotNull() {
            addCriterion("mono is not null");
            return (Criteria) this;
        }

        public Criteria andMonoEqualTo(Integer value) {
            addCriterion("mono =", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoNotEqualTo(Integer value) {
            addCriterion("mono <>", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoGreaterThan(Integer value) {
            addCriterion("mono >", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoGreaterThanOrEqualTo(Integer value) {
            addCriterion("mono >=", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoLessThan(Integer value) {
            addCriterion("mono <", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoLessThanOrEqualTo(Integer value) {
            addCriterion("mono <=", value, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoIn(List<Integer> values) {
            addCriterion("mono in", values, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoNotIn(List<Integer> values) {
            addCriterion("mono not in", values, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoBetween(Integer value1, Integer value2) {
            addCriterion("mono between", value1, value2, "mono");
            return (Criteria) this;
        }

        public Criteria andMonoNotBetween(Integer value1, Integer value2) {
            addCriterion("mono not between", value1, value2, "mono");
            return (Criteria) this;
        }

        public Criteria andStripeIsNull() {
            addCriterion("stripe is null");
            return (Criteria) this;
        }

        public Criteria andStripeIsNotNull() {
            addCriterion("stripe is not null");
            return (Criteria) this;
        }

        public Criteria andStripeEqualTo(Integer value) {
            addCriterion("stripe =", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeNotEqualTo(Integer value) {
            addCriterion("stripe <>", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeGreaterThan(Integer value) {
            addCriterion("stripe >", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeGreaterThanOrEqualTo(Integer value) {
            addCriterion("stripe >=", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeLessThan(Integer value) {
            addCriterion("stripe <", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeLessThanOrEqualTo(Integer value) {
            addCriterion("stripe <=", value, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeIn(List<Integer> values) {
            addCriterion("stripe in", values, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeNotIn(List<Integer> values) {
            addCriterion("stripe not in", values, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeBetween(Integer value1, Integer value2) {
            addCriterion("stripe between", value1, value2, "stripe");
            return (Criteria) this;
        }

        public Criteria andStripeNotBetween(Integer value1, Integer value2) {
            addCriterion("stripe not between", value1, value2, "stripe");
            return (Criteria) this;
        }

        public Criteria andCoverIsNull() {
            addCriterion("cover is null");
            return (Criteria) this;
        }

        public Criteria andCoverIsNotNull() {
            addCriterion("cover is not null");
            return (Criteria) this;
        }

        public Criteria andCoverEqualTo(Integer value) {
            addCriterion("cover =", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverNotEqualTo(Integer value) {
            addCriterion("cover <>", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverGreaterThan(Integer value) {
            addCriterion("cover >", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverGreaterThanOrEqualTo(Integer value) {
            addCriterion("cover >=", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverLessThan(Integer value) {
            addCriterion("cover <", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverLessThanOrEqualTo(Integer value) {
            addCriterion("cover <=", value, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverIn(List<Integer> values) {
            addCriterion("cover in", values, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverNotIn(List<Integer> values) {
            addCriterion("cover not in", values, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverBetween(Integer value1, Integer value2) {
            addCriterion("cover between", value1, value2, "cover");
            return (Criteria) this;
        }

        public Criteria andCoverNotBetween(Integer value1, Integer value2) {
            addCriterion("cover not between", value1, value2, "cover");
            return (Criteria) this;
        }

        public Criteria andHakeIsNull() {
            addCriterion("hake is null");
            return (Criteria) this;
        }

        public Criteria andHakeIsNotNull() {
            addCriterion("hake is not null");
            return (Criteria) this;
        }

        public Criteria andHakeEqualTo(Integer value) {
            addCriterion("hake =", value, "hake");
            return (Criteria) this;
        }

        public Criteria andHakeNotEqualTo(Integer value) {
            addCriterion("hake <>", value, "hake");
            return (Criteria) this;
        }

        public Criteria andHakeGreaterThan(Integer value) {
            addCriterion("hake >", value, "hake");
            return (Criteria) this;
        }

        public Criteria andHakeGreaterThanOrEqualTo(Integer value) {
            addCriterion("hake >=", value, "hake");
            return (Criteria) this;
        }

        public Criteria andHakeLessThan(Integer value) {
            addCriterion("hake <", value, "hake");
            return (Criteria) this;
        }

        public Criteria andHakeLessThanOrEqualTo(Integer value) {
            addCriterion("hake <=", value, "hake");
            return (Criteria) this;
        }

        public Criteria andHakeIn(List<Integer> values) {
            addCriterion("hake in", values, "hake");
            return (Criteria) this;
        }

        public Criteria andHakeNotIn(List<Integer> values) {
            addCriterion("hake not in", values, "hake");
            return (Criteria) this;
        }

        public Criteria andHakeBetween(Integer value1, Integer value2) {
            addCriterion("hake between", value1, value2, "hake");
            return (Criteria) this;
        }

        public Criteria andHakeNotBetween(Integer value1, Integer value2) {
            addCriterion("hake not between", value1, value2, "hake");
            return (Criteria) this;
        }

        public Criteria andPtzIsNull() {
            addCriterion("ptz is null");
            return (Criteria) this;
        }

        public Criteria andPtzIsNotNull() {
            addCriterion("ptz is not null");
            return (Criteria) this;
        }

        public Criteria andPtzEqualTo(Integer value) {
            addCriterion("ptz =", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzNotEqualTo(Integer value) {
            addCriterion("ptz <>", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzGreaterThan(Integer value) {
            addCriterion("ptz >", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzGreaterThanOrEqualTo(Integer value) {
            addCriterion("ptz >=", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzLessThan(Integer value) {
            addCriterion("ptz <", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzLessThanOrEqualTo(Integer value) {
            addCriterion("ptz <=", value, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzIn(List<Integer> values) {
            addCriterion("ptz in", values, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzNotIn(List<Integer> values) {
            addCriterion("ptz not in", values, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzBetween(Integer value1, Integer value2) {
            addCriterion("ptz between", value1, value2, "ptz");
            return (Criteria) this;
        }

        public Criteria andPtzNotBetween(Integer value1, Integer value2) {
            addCriterion("ptz not between", value1, value2, "ptz");
            return (Criteria) this;
        }

        public Criteria andContrastIsNull() {
            addCriterion("contrast is null");
            return (Criteria) this;
        }

        public Criteria andContrastIsNotNull() {
            addCriterion("contrast is not null");
            return (Criteria) this;
        }

        public Criteria andContrastEqualTo(Integer value) {
            addCriterion("contrast =", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastNotEqualTo(Integer value) {
            addCriterion("contrast <>", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastGreaterThan(Integer value) {
            addCriterion("contrast >", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastGreaterThanOrEqualTo(Integer value) {
            addCriterion("contrast >=", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastLessThan(Integer value) {
            addCriterion("contrast <", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastLessThanOrEqualTo(Integer value) {
            addCriterion("contrast <=", value, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastIn(List<Integer> values) {
            addCriterion("contrast in", values, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastNotIn(List<Integer> values) {
            addCriterion("contrast not in", values, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastBetween(Integer value1, Integer value2) {
            addCriterion("contrast between", value1, value2, "contrast");
            return (Criteria) this;
        }

        public Criteria andContrastNotBetween(Integer value1, Integer value2) {
            addCriterion("contrast not between", value1, value2, "contrast");
            return (Criteria) this;
        }

        public Criteria andNoiseIsNull() {
            addCriterion("noise is null");
            return (Criteria) this;
        }

        public Criteria andNoiseIsNotNull() {
            addCriterion("noise is not null");
            return (Criteria) this;
        }

        public Criteria andNoiseEqualTo(Integer value) {
            addCriterion("noise =", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseNotEqualTo(Integer value) {
            addCriterion("noise <>", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseGreaterThan(Integer value) {
            addCriterion("noise >", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseGreaterThanOrEqualTo(Integer value) {
            addCriterion("noise >=", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseLessThan(Integer value) {
            addCriterion("noise <", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseLessThanOrEqualTo(Integer value) {
            addCriterion("noise <=", value, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseIn(List<Integer> values) {
            addCriterion("noise in", values, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseNotIn(List<Integer> values) {
            addCriterion("noise not in", values, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseBetween(Integer value1, Integer value2) {
            addCriterion("noise between", value1, value2, "noise");
            return (Criteria) this;
        }

        public Criteria andNoiseNotBetween(Integer value1, Integer value2) {
            addCriterion("noise not between", value1, value2, "noise");
            return (Criteria) this;
        }

        public Criteria andFlashIsNull() {
            addCriterion("flash is null");
            return (Criteria) this;
        }

        public Criteria andFlashIsNotNull() {
            addCriterion("flash is not null");
            return (Criteria) this;
        }

        public Criteria andFlashEqualTo(Integer value) {
            addCriterion("flash =", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashNotEqualTo(Integer value) {
            addCriterion("flash <>", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashGreaterThan(Integer value) {
            addCriterion("flash >", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashGreaterThanOrEqualTo(Integer value) {
            addCriterion("flash >=", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashLessThan(Integer value) {
            addCriterion("flash <", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashLessThanOrEqualTo(Integer value) {
            addCriterion("flash <=", value, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashIn(List<Integer> values) {
            addCriterion("flash in", values, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashNotIn(List<Integer> values) {
            addCriterion("flash not in", values, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashBetween(Integer value1, Integer value2) {
            addCriterion("flash between", value1, value2, "flash");
            return (Criteria) this;
        }

        public Criteria andFlashNotBetween(Integer value1, Integer value2) {
            addCriterion("flash not between", value1, value2, "flash");
            return (Criteria) this;
        }

        public Criteria andSceneIsNull() {
            addCriterion("scene is null");
            return (Criteria) this;
        }

        public Criteria andSceneIsNotNull() {
            addCriterion("scene is not null");
            return (Criteria) this;
        }

        public Criteria andSceneEqualTo(Integer value) {
            addCriterion("scene =", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneNotEqualTo(Integer value) {
            addCriterion("scene <>", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneGreaterThan(Integer value) {
            addCriterion("scene >", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneGreaterThanOrEqualTo(Integer value) {
            addCriterion("scene >=", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneLessThan(Integer value) {
            addCriterion("scene <", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneLessThanOrEqualTo(Integer value) {
            addCriterion("scene <=", value, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneIn(List<Integer> values) {
            addCriterion("scene in", values, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneNotIn(List<Integer> values) {
            addCriterion("scene not in", values, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneBetween(Integer value1, Integer value2) {
            addCriterion("scene between", value1, value2, "scene");
            return (Criteria) this;
        }

        public Criteria andSceneNotBetween(Integer value1, Integer value2) {
            addCriterion("scene not between", value1, value2, "scene");
            return (Criteria) this;
        }

        public Criteria andQuartzidLikeInsensitive(String value) {
            addCriterion("upper(quartzid) like", value.toUpperCase(), "quartzid");
            return (Criteria) this;
        }

        public Criteria andGroupIdLikeInsensitive(String value) {
            addCriterion("upper(group_id) like", value.toUpperCase(), "groupId");
            return (Criteria) this;
        }

        public Criteria andNameLikeInsensitive(String value) {
            addCriterion("upper(name) like", value.toUpperCase(), "name");
            return (Criteria) this;
        }

        public Criteria andPlandateLikeInsensitive(String value) {
            addCriterion("upper(plandate) like", value.toUpperCase(), "plandate");
            return (Criteria) this;
        }

        public Criteria andDetailtextLikeInsensitive(String value) {
            addCriterion("upper(detailtext) like", value.toUpperCase(), "detailtext");
            return (Criteria) this;
        }

        public Criteria andQuartztimeLikeInsensitive(String value) {
            addCriterion("upper(quartztime) like", value.toUpperCase(), "quartztime");
            return (Criteria) this;
        }

        public Criteria andDetailtimeLikeInsensitive(String value) {
            addCriterion("upper(detailtime) like", value.toUpperCase(), "detailtime");
            return (Criteria) this;
        }

        public Criteria andIsrepeatLikeInsensitive(String value) {
            addCriterion("upper(isrepeat) like", value.toUpperCase(), "isrepeat");
            return (Criteria) this;
        }

        public Criteria andPlantimeLikeInsensitive(String value) {
            addCriterion("upper(plantime) like", value.toUpperCase(), "plantime");
            return (Criteria) this;
        }

        public Criteria andCreateManLikeInsensitive(String value) {
            addCriterion("upper(create_man) like", value.toUpperCase(), "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateOrgLikeInsensitive(String value) {
            addCriterion("upper(create_org) like", value.toUpperCase(), "createOrg");
            return (Criteria) this;
        }

        public Criteria andTypeLikeInsensitive(String value) {
            addCriterion("upper(type) like", value.toUpperCase(), "type");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}