package com.chinaitop.depot.monitor.model;

import java.io.Serializable;

public class MonitorAlarmType implements Serializable {
    private Integer id;

    private Integer orgId;

    private String alarmType;

    private String alarmGrade;

    private String smsalarm;

    private String systemalarm;

    private static final long serialVersionUID = 1L;

    public MonitorAlarmType(Integer id, Integer orgId, String alarmType, String alarmGrade, String smsalarm, String systemalarm) {
        this.id = id;
        this.orgId = orgId;
        this.alarmType = alarmType;
        this.alarmGrade = alarmGrade;
        this.smsalarm = smsalarm;
        this.systemalarm = systemalarm;
    }

    public MonitorAlarmType() {
        super();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getAlarmType() {
        return alarmType;
    }

    public void setAlarmType(String alarmType) {
        this.alarmType = alarmType == null ? null : alarmType.trim();
    }

    public String getAlarmGrade() {
        return alarmGrade;
    }

    public void setAlarmGrade(String alarmGrade) {
        this.alarmGrade = alarmGrade == null ? null : alarmGrade.trim();
    }

    public String getSmsalarm() {
        return smsalarm;
    }

    public void setSmsalarm(String smsalarm) {
        this.smsalarm = smsalarm == null ? null : smsalarm.trim();
    }

    public String getSystemalarm() {
        return systemalarm;
    }

    public void setSystemalarm(String systemalarm) {
        this.systemalarm = systemalarm == null ? null : systemalarm.trim();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        MonitorAlarmType other = (MonitorAlarmType) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrgId() == null ? other.getOrgId() == null : this.getOrgId().equals(other.getOrgId()))
            && (this.getAlarmType() == null ? other.getAlarmType() == null : this.getAlarmType().equals(other.getAlarmType()))
            && (this.getAlarmGrade() == null ? other.getAlarmGrade() == null : this.getAlarmGrade().equals(other.getAlarmGrade()))
            && (this.getSmsalarm() == null ? other.getSmsalarm() == null : this.getSmsalarm().equals(other.getSmsalarm()))
            && (this.getSystemalarm() == null ? other.getSystemalarm() == null : this.getSystemalarm().equals(other.getSystemalarm()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrgId() == null) ? 0 : getOrgId().hashCode());
        result = prime * result + ((getAlarmType() == null) ? 0 : getAlarmType().hashCode());
        result = prime * result + ((getAlarmGrade() == null) ? 0 : getAlarmGrade().hashCode());
        result = prime * result + ((getSmsalarm() == null) ? 0 : getSmsalarm().hashCode());
        result = prime * result + ((getSystemalarm() == null) ? 0 : getSystemalarm().hashCode());
        return result;
    }
}