package com.chinaitop.depot.monitor.model;

import java.io.Serializable;

public class MonitorSettingPath implements Serializable {
    private Integer id;

    private Integer orgId;

    private String imgpath;

    private String recordpath;

    private String downpath;

    private static final long serialVersionUID = 1L;

    public MonitorSettingPath(Integer id, Integer orgId, String imgpath, String recordpath, String downpath) {
        this.id = id;
        this.orgId = orgId;
        this.imgpath = imgpath;
        this.recordpath = recordpath;
        this.downpath = downpath;
    }

    public MonitorSettingPath() {
        super();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getImgpath() {
        return imgpath;
    }

    public void setImgpath(String imgpath) {
        this.imgpath = imgpath == null ? null : imgpath.trim();
    }

    public String getRecordpath() {
        return recordpath;
    }

    public void setRecordpath(String recordpath) {
        this.recordpath = recordpath == null ? null : recordpath.trim();
    }

    public String getDownpath() {
        return downpath;
    }

    public void setDownpath(String downpath) {
        this.downpath = downpath == null ? null : downpath.trim();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        MonitorSettingPath other = (MonitorSettingPath) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getOrgId() == null ? other.getOrgId() == null : this.getOrgId().equals(other.getOrgId()))
            && (this.getImgpath() == null ? other.getImgpath() == null : this.getImgpath().equals(other.getImgpath()))
            && (this.getRecordpath() == null ? other.getRecordpath() == null : this.getRecordpath().equals(other.getRecordpath()))
            && (this.getDownpath() == null ? other.getDownpath() == null : this.getDownpath().equals(other.getDownpath()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getOrgId() == null) ? 0 : getOrgId().hashCode());
        result = prime * result + ((getImgpath() == null) ? 0 : getImgpath().hashCode());
        result = prime * result + ((getRecordpath() == null) ? 0 : getRecordpath().hashCode());
        result = prime * result + ((getDownpath() == null) ? 0 : getDownpath().hashCode());
        return result;
    }
}