package com.chinaitop.depot.monitor.service;

import com.chinaitop.depot.monitor.model.MonitorAlarmPhone;
import com.chinaitop.depot.monitor.model.MonitorAlarmPhoneExample;

import java.util.List;

/**
 * @auther mafy
 * @createtime 2017/10/25 0025
 * 报警设置接收人，接收角色，接收电话
 */
public interface AlarmSettingService {

    /**
     * 获取电话数据
     * @return
     */
    List<MonitorAlarmPhone> getAlarmPhone(MonitorAlarmPhoneExample example);

    /**
     * 保存当前数据
     * @param monitorSettingPath
     */
    void saveAlarmPhone(MonitorAlarmPhone monitorSettingPath);

    /**
     * 删除数据
     * @param alarmId
     */
    void deleteAlarmPhone(Integer alarmId);

    /**
     * 获取所有电话数据
     * @return
     */
    List<MonitorAlarmPhone> getAllAlarmPhone(Integer orgId);
}
