package com.chinaitop.depot.monitor.service;

import com.chinaitop.depot.monitor.model.Group;
import com.chinaitop.depot.monitor.model.GroupExample;
import java.util.List;
import java.util.Map;

public interface GroupService {

    /**
     * 条件查询计划列表
     * @param example
     * @return
     */
    List<Group> selectByExampleForPlan(GroupExample example);


    void add(Group group);

    void update(Group group);

    List<Map<String,Object>> queryCameraForGroup(Map<String, Object> map);

    Map<String,String> removebyid(Integer groupid);

    Map<String,String> editGroupCamera(Integer groupid, Integer cameraid, Integer type);

    /**
     * 获取到最后一个分组id
     * @return
     */
    Map<String,Object> getGroupIdLast(Map<String, Object> map);
}
