package com.chinaitop.depot.monitor.util;

/**
 * @auther mafy
 * @createtime 2017/10/20 0020
 */
public class MonitorZD {
    //测试方法
    public native void sayHello();
    //加载海康SDK
    public native int InitHCSdk();
    //加载大华SDK
    public native int InitDHSdk();
    //加载日志   日志路径+文件名和文件类型
    public native int InitLog(String path);
    //开始诊断    设备IP,设备端口,设备用户名,设备密码,厂商类型(海康1;大华2),设备类型(球机1,枪机2),诊断项目(1诊断,0不诊断),文件路径(诊断截图)
    public native int Start(String ip,int port,String username,String password,int type,int ptztype,String zdvalue,String path);
    //获取诊断结果
    public native String GetValue();
    //设备停止  厂商类型
    public native int Stop(int type);
    //清理海康SDK
    public native int CleanHCSdk();
    //清理大华SDK
    public native int CleanDHSdk();
    //清理日志
    public native int CleanLog();
    //设备登录测试
    public native int LOGINTEST(String ip,int port,String username,String password,int type);
    //通过NVR获取IPC信息
    public native String NVRGETIP(String ip,int port,String username,String password,int type);
    //通过DVR，获取通道号启用信息
    public native String GETDVRTDH(String ip,int port,String username,String password,int type);
    //得到本地文件选择框
    public native String GetLocalPath();
    //获取设备信息
    public native String GETIPC(String ip,int port,String username,String password,int type);
    //根据DVR通道号截图
    public native String GETDVRJPG(String ip,int port,String username,String password,int type,int tdh,String path);
    //获取球机PTZ坐标
    public native String GETPTZ(String ip,int port,String username,String password,int type,String path);
    //通过nvr/dvr 通道号，对对应通道进行摄像头抓图和录像   ip,port,username,pwd,tpe:1海康2大华，tdh:海康nvr33开始大话1开始，lxtime:录像时间秒，path：录像抓图路径
    public native String GETNVRPICIMG(String ip,int port,String username,String password,int type,int tdh,int lxtime,String path);
    //获取本地mac
    public native String GetLocalMac();
    //获取本地ip
    public native String GetLocalIp();
    //手动开关录像   ip,port,username,pwd,tpe:1海康2大华，tdh:海康nvr33开始大话1开始，startOrend：开启start，关闭end
    public native int RecodeStartAndEnd(String ip,int port,String username,String password,int type,int tdh,String startOrend);

    private static MonitorZD monitorZD = null;

    public static MonitorZD getMonitorZDObj(){
        if(monitorZD == null){
            monitorZD = new MonitorZD();
        }
        return monitorZD;
    }
}
