package com.chinaitop.depot.supervise.mapper;

import org.springframework.stereotype.Repository;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Repository
public interface TestDatasMapper {

    //根据仓房编号获取仓房温度数据
    Map<String,Object> getTempByHouseNo(Map<String,String> map);

    //获取仓温列表
    List<Map<String,Object>> getDataList(Map<String,String> map);

    //获取指定仓房的三温-首页用到
    List<Map<String,Object>> selectByHours(Map<String,Object> map);

    //获取指定仓房的三温
    List<Map<String,Object>> selectByDays(Map<String,Object> map);

    //给pad端提供的三温图的接口
    List<Map<String,Object>> getThreeConditionForPad(Map<String,Object> map);

    String selectHouseMaxTime(Map<String,Object> map);
}